Index: production/onslow_2006/make_report.py
===================================================================
--- production/onslow_2006/make_report.py	(revision 3329)
+++ production/onslow_2006/make_report.py	(revision 3330)
@@ -215,5 +215,5 @@
 s = '\\begin{table} \\begin{center} \n'
 fid.write(s)
-s = '\caption{Defined point locations for %s study area.}' %scenario
+s = '\caption{Defined point locations for %s study area.}' %scenario_name
 fid.write(s)
 s = """
Index: production/onslow_2006/report/damage.tex
===================================================================
--- production/onslow_2006/report/damage.tex	(revision 3329)
+++ production/onslow_2006/report/damage.tex	(revision 3330)
@@ -94,5 +94,5 @@
 \begin{tabular}{|l|l|l|l|l|l|}\hline
 &Minor & Moderate & Serious & Fatal \\ \hline
-MSL &43 & 11 & 6 & 20 \\ \hline
+MSL & &  &  & \\ \hline
 HAT & & & & \\ \hline
 LAT & & & & \\ \hline
Index: production/onslow_2006/report/discussion.tex
===================================================================
--- production/onslow_2006/report/discussion.tex	(revision 3329)
+++ production/onslow_2006/report/discussion.tex	(revision 3330)
@@ -37,9 +37,12 @@
 ashore when each data set is used to demonstrate the importance of using the
 best possible data set. The maximum inundation map is shown fo MSL in 
-Figure \ref{fig:MSL_map_DTED} which can be compared with teh equivalent map for 
-the WA DLI data, Figure \ref{fig:MSL_map}. Additionally, we show the time
-history of the water's stage and velocity for the point locations in
-Table \ref{table:locations} for both the DTED and DLI data at MSL. These
-results are shown in Section \ref{sec:timeseriescompare}.
+Figure \ref{fig:MSL_map_DTED} which can be compared with the equivalent map for 
+the WA DLI data, Figure \ref{fig:MSL_map}. Given that the 1.5m contour
+line is further from the coast for the DTED data than the DLI data, we
+expect to see the inundation to reach further and thus be greater than
+that seen in Figure \ref{fig:MSL_map}. This is confirmed by
+Figure \ref{fig:MSL_map_DTED}. These results point to the need for the best 
+available data so that more accurate predictions regarding the 
+inundation can be made.
 
 \pagebreak
@@ -76,2 +79,10 @@
   \label{fig:MSL_map_DTED}
 \end{figure}
+
+Additionally, we show the time
+history of the water's stage and velocity for the point locations in
+Table \ref{table:locations} for both the DTED and DLI data at MSL. These
+results are shown in Section \ref{sec:timeseriescompare}.
+
+
+
Index: production/onslow_2006/report/interpretation.tex
===================================================================
--- production/onslow_2006/report/interpretation.tex	(revision 3329)
+++ production/onslow_2006/report/interpretation.tex	(revision 3330)
@@ -47,12 +47,13 @@
 after the drawdown ranges from approximately 2m in the 
 west of Beadon Bay (Figure \ref{fig:gaugeBeadonBaywest})
-to 1.5m in the east of Beadon Bay 
-(Figure \ref{fig:gaugeBeadonBayeast}). 
+to over 3m in the mouth of Beadon Creek
+(Figure \ref{fig:gaugeBeadonCreekmouth}). 
 The speed 
 sharply increases at drawdown with further increases as the 
 wave grows in amplitude. 
-There is an increased amplitude of approximately 3m found in 
+There is an increased amplitude of approximately 4m found in 
 east of Beadon Bay for the secondary wave, as opposed to the first wave. 
-This feature is also evident at the West of Groyne location. 
+This feature is also evident at the West of Groyne location but
+with decreased amplitude. 
 This may be due to the geography of the bay, including the groyne west of 
 the creek mouth opening, the local bathymetry
@@ -60,12 +61,11 @@
 
 The maximum speed found for the offshore locations occur at the West of 
-Groyne location (Figure \ref{fig:gaugeWestofGroyne})
-with speeds halved at the Beadon Bay west location. 
-The speed at west of Beadon Bay is greater than the east of Beadon 
-Bay location (Figure \ref{fig:gaugeBeadonBayeast}). 
-There is similar differences in amplitude (from drawdown to maximum 
-amplitude), however, the western location is in deeper water than the eastern 
-location which may indicate the increased speed found in the east of the 
-bay.  Subsequent drawdowns are seen as the multitude of waves which make up the 
+Groyne location (Figure \ref{fig:gaugeWestofGroyne}). 
+The speeds at west and east of Beadon Bay are quite similar
+(Figure \ref{fig:gaugeBeadonBayeast} and Figure \ref{fig:gaugeBeadonBaywest}). 
+however, there are increased amplitudes (from drawdown to maximum 
+amplitude), in the eastern location which is in shallower water than the western 
+location.
+Subsequent drawdowns are seen as the multitude of waves which make up the 
 event (see Figure \ref{fig:MOSTsolution}) propagate towards the shore. 
 
@@ -76,18 +76,19 @@
 
 It is evident that the sand dunes west of 
-Onslow are very effective in halting the tsunami wave which rise to approximately
-10m in height,
+Onslow are very effective in halting the tsunami wave,
 see Figure \ref{fig:MSL_max_inundation}. 
-%There is inundation between the sand dunes at high 
-%tide, Figure \ref{fig:HAT_max_inundation}, however, this water 
-%penetrated from the north east (via
-%Onslow town centre) rather than seaward.
-The same feature is evident for the sand dunes east of Onslow which
-rise to 15m in height. Currently, we do not model changes 
+There is inundation between the western sand dunes at high 
+tide, Figure \ref{fig:HAT_max_inundation}, however, this water 
+penetrated from the north east (via
+Onslow town centre) rather than seaward. (The DEM indicates that 
+this area is under 1.5m which is automatically deemed to inundated
+at HAT.)
+The same feature is evident for the sand dunes east of Onslow. 
+Currently, we do not model changes 
 to the bathymetry or topography due to effects of the water flow. 
 Therefore, we do not know whether these sand dunes would withstand the
 transmitted energy of the tsunami wave. 
-The tsunami wave penetrates the river east of Onslow with wave height 
-approximately 2m at the mouth 
+The tsunami wave penetrates the river east of Onslow with a wave height 
+over 2m at the mouth 
 (Figure \ref{fig:gaugeBeadonCreekmouth}) 
 and inundation
Index: production/onslow_2006/report/summary.tex
===================================================================
--- production/onslow_2006/report/summary.tex	(revision 3329)
+++ production/onslow_2006/report/summary.tex	(revision 3330)
@@ -18,9 +18,9 @@
 
 \begin{itemize}
-\item Sourcing of data sets
+\item Sourcing of data sets,
 \item Investigation of solution sensitivity to cell resolution,
-bathymetry and tsunami source uncertainties
-\item Location of boundary for simulation study area
-\item Investigation of friction coefficients
+bathymetry and tsunami source uncertainties,
+\item Location of boundary for simulation study area, and
+\item Investigation of friction coefficients.
 \end{itemize}
 