Index: /production/onslow_2006/report/HAT_map.tex
===================================================================
--- /production/onslow_2006/report/HAT_map.tex	(revision 3339)
+++ /production/onslow_2006/report/HAT_map.tex	(revision 3340)
@@ -1,5 +1,5 @@
 \begin{figure}[hbt] 
 \centerline{ \includegraphics[width=\paperwidth]{../report_figures/high_tide_20060704_063005.jpg}} 
-\caption{Maximum inundation map for the HAT scenario for Onslow region.}  
+\caption{Maximum inundation map for the HAT scenario for Onslow region. Data: WA DLI, DPI and AHO.}  
 \label{fig:HAT_max_inundation}
 \end{figure}
Index: /production/onslow_2006/report/MSL_map.tex
===================================================================
--- /production/onslow_2006/report/MSL_map.tex	(revision 3339)
+++ /production/onslow_2006/report/MSL_map.tex	(revision 3340)
@@ -1,5 +1,5 @@
 \begin{figure}[hbt] 
 \centerline{ \includegraphics[width=\paperwidth]{../report_figures/mid_tide_20060704_063234.jpg}}  
-\caption{Maximum inundation map for the MSL scenario for Onslow region.}  
+\caption{Maximum inundation map for the MSL scenario for Onslow region. Data: WA DLI, DPI and AHO.}  
 \label{fig:MSL_max_inundation}
 \end{figure}
Index: /production/onslow_2006/report/anuga.tex
===================================================================
--- /production/onslow_2006/report/anuga.tex	(revision 3339)
+++ /production/onslow_2006/report/anuga.tex	(revision 3340)
@@ -1,19 +1,23 @@
-
-The software tool, ANUGA \cite{ON:modsim}, has been used to develop the 
-inundation extent
+The software tool, ANUGA \cite{ON:modsim}, has been used to estimate 
+the inundation extent
 and associated water level at various points in space and time.
 ANUGA has been developed by GA and the Australian National University
 (ANU) to solve the nonlinear shallow water
-wave equation using the finite volume technique.
-An advantage of this technique is that the cell area can be changed
+wave equation using the finite volume technique\footnote{The finite volume
+technique belongs to the class of computational fluid dynamic (CFD)
+methods which is based on discretizing the study area in
+control ''volumes''. The method satisfices conservation
+of mass, momentum and energy and is exactly satisfied for
+each control volume.
+An advantage of this technique is that the discretization
+can be changed
 according to areas of interest and that wetting and drying
-is treated robustly as part of the numerical scheme. 
+is treated robustly as part of the numerical scheme.}. 
 ANUGA is continually being developed and validated to ensure
 the modelling approximations reflect new theory or
 available experimental data sets.
-As such, the current results represent ongoing work
-and may change in the future.
+As such, the current results are preliminary.
 
-The following set of information is required to undertake the 
+The following information is required to undertake the 
 inundation modelling;
 
@@ -22,6 +26,6 @@
 see Section \ref{sec:data}),
 \item initial conditions, such as initial water levels (e.g. determined by tides),
-\item boundary condition (the tsunami source as described in 
-Section \ref{sec:tsunamiscenario}),
+\item boundary conditions (the tsunami source as described in 
+Section \ref{sec:tsunamiscenario}), and
 \item computational requirements relating to the mesh construction.
 \end{itemize}
@@ -29,8 +33,10 @@
 As part of the CRA, it was decided to provide results for the
 extremes of the tidal regimes to understand the potential range of impacts 
-from the event. The Highest Astronomical Tide (HAT) and Lowest
-Astronomical Tide (LAT) are defined as 1.5m Australian Height Datum (AHD) 
-and -1.5m AHD respectively for Onslow, \cite{antt:06}, with 
-Mean Sea Level (MSL) approximately equal to 0m AHD. These values are tidal
+from the event. In this study, we used the Australian Height Datum (AHD)
+as the vertical datum. Mean Sea Level (MSL) is approximately equal to
+0m AHD with the Highest Astronomical Tide (HAT) 
+and Lowest Astronomical Tide (LAT) defined as 1.5m AHD
+and -1.5m AHD respectively for Onslow, \cite{antt:06}. 
+These values are tidal
 predictions based on continous tidal observations from Standard Ports
 over a period of
@@ -43,14 +49,14 @@
 these areas will incorporate this information.
 
-
-The initial conditions used for this scenario is then MSL, HAT and LAT.
+The initial conditions used for this scenario are MSL, HAT and LAT.
 The dynamics of
 tidal effects (that is, the changes in water height over time for
-the entire study area) is not currently modelled.
-Bottom friction will generally provide resistance to the water flow
-and thus reduce the impact somewhat. However, it is an open area
-of research on how to determine the friction coefficients, and 
+the entire study area) are not currently modelled.
+Sea floor friction will generally provide resistance to the water flow
+and thus reduce the impact somewhat. However, limited
+research has been carried out to determine 
+the friction coefficients, and 
 thus it has not been incorporated
-in the scenario presented in this report. Therefore, the 
-results presented are over estimated to some degree.
+in the scenario presented in this report. The 
+results are therefore likely to be over estimations.
 
Index: /production/onslow_2006/report/computational_setup.tex
===================================================================
--- /production/onslow_2006/report/computational_setup.tex	(revision 3339)
+++ /production/onslow_2006/report/computational_setup.tex	(revision 3340)
@@ -1,4 +1,23 @@
+To set up a model for the tsunami scenario, a study area is first 
+determined. Preliminary investigations have indicated that point
+at which the deep water and shallow water models can exchange data is
+sufficiently OK at the
+100m bathymetric contour line. 
+Current computation requirements define a coastline
+extent of around 100km.
+Preliminary investigations indicate that MOST and ANUGA compare
+well at the 100m contour line. In addition, the resolution for
+the MOST modelling indicate that it can theoretically model 
+tsunamis with a wavelength of 20-30km, and the wavelength of
+the tsunami wave at the boundary is approximately 20km. A much
+higher model resolution will be used in developing the probabilistic
+models for further studies.
+Therefore, the study area cof around 6300 km$^2$ 
+covers approximately 100km of
+coastline and extends offshore to the 100m contour line and inshore to 
+approximately 10m elevation. 
+
 To initiate the modelling, a triangular mesh is constructed to
-cover the study region which has an area of around 6300 km$^2$. 
+cover the study region 
 The cell size is chosen to balance
 computational time and desired resolution in areas of interest,
@@ -9,14 +28,4 @@
 of the refinement is based around the inter-tidal zones and
 other important features such as islands and rivers. 
-The study area covers approximately 100km of
-coastline and extends offshore to the 100m contour line and inshore to 
-approximately 10m elevation.
-Preliminary investigations indicate that MOST and ANUGA compare
-well at the 100m contour line. In addition, the resolution for
-the MOST modelling indicate that it can theoretically model 
-tsunamis with a wavelength of 20-30km, and the wavelength of
-the tsunami wave at the boundary is approximately 20km. A much
-higher model resolution will be used in developing the probabilistic
-models for further studies.
 
 \begin{figure}[hbt]
@@ -98,4 +107,5 @@
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/point_line_3d.png}& 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/solution_surfaceMOST.png}\\ 
+(a) & (b) \\
 \end{tabular} 
  \caption{Point locations used to illustrate the form of the tsunami wave and the
Index: /production/onslow_2006/report/damage.tex
===================================================================
--- /production/onslow_2006/report/damage.tex	(revision 3339)
+++ /production/onslow_2006/report/damage.tex	(revision 3340)
@@ -1,32 +1,16 @@
+In this report, impact modelling refers to casualties and
+damage to residential buildings as a result
+of the inundation described in Section \ref{sec:results}. It is assumed
+that the event occurs at night. 
+Exposure data are sourced from the National Building Exposure Database (NBED), 
+developed by GA\footnote{http://www.ga.gov.au/urban/projects/ramp/NBED.jsp}. 
+It contains information about residential buildings, people, and the
+cost of replacing buildings and contents.
 
-%This section deals with impact modelling which covers damage
-%modelling and economic impact analysis.
-In this report, impact modelling refers to damage as a result
-of the inundation described in Section \ref{sec:results}. This damage
-is reported as damage to infrastructure as well as
-number of human injuries and is determined assuming
-that the event occurs at night. The infrastructure
-refers to residential structures only and is sourced from the 
-the National Building Exposure Database (NBED). The NBED has been
-created by Geoscience Australia so that consistent risk assessments for a range
-of natural hazards can be 
-conducted\footnote{http://www.ga.gov.au/urban/projects/ramp/NBED.jsp}. 
-It contains information
-about residential buildings, people, infrastructure, 
-structure value and building contents.
-From this database, we find that there
-are 325 residential structures and a population of approximately 770
-in Onslow\footnote{Population is determined by census data and an ABS 
-housing survey}. 
-
-
-To develop building damage and casuality estimates, we briefly describe 
-residential collapse probability models and casualty models and their 
-application to inundation modelling. There is limited data found in
-the international literature to support the development of
-vulnerability models. However,
-with reported observations made of building performance during the 
-recent Indian Ocean tsunami, vulnerability models have been proposed for 
-framed residential construction. The models predict the collapse 
+To develop building damage and casuality estimates, 
+residential collapse vulnerability models and casualty models were developed.
+The vulnerability models have been developed for 
+framed residential construction using data from teh Indian Ocean tsunami event. 
+The models predict the collapse 
 probability for an exposed population and incorporate the following 
 parameters known to influence building damage \cite{papathoma:vulnerability},
@@ -34,18 +18,18 @@
 \begin{itemize}
 \item	inundation depth at building	
-\item	building row from coast	
+\item	distance from the coast	
 \item	building material (residential framed construction)	
-\item	inundation depth at house above floor level
+\item	inundation depth in house above floor level
 \end{itemize}	
 
 The collapse vulnerability models used are presented in Table \ref{table:collapse}. 
-In applying the model all structures in the inundation zone were 
-spatially located and the local water depth and building row 
-number from the exposed edge of the suburb were determined for each.
+%In applying the model, all structures in the inundation zone were 
+%spatially located and the local water depth and building row 
+%number from the exposed edge of the suburb were determined for each structure.
 
-Casualty models were developed by making reference to the 
+Casualty models were based on the
 storm surge models used for the Cairns Cyclone Scenario and 
 through consultation with Dr David Cooper of NSW Health, \cite{cooper:2005}. 
-The injury probabilities for exposed populations were selected 
+The injury probabilities for exposed populations were determined 
 based on the nocturnal nature of the event, the collapse outcome 
 for the structure, the water depth with respect to 
@@ -58,6 +42,10 @@
 and the injury categories are presented in Table \ref{table:injury}. 
 Input data comprised of resident population data at census
-district level derived from the ABS 2001 census.
+district level derived from the ABS 2001 Census.
 
+From this database, we find that there
+are 325 residential structures and a population of approximately 770
+in Onslow\footnote{Population is determined by census data and the 19??
+ABS housing survey}. 
 The damage to the residential structures in the Onslow community
 is summarised in Table \ref{table:damageoutput}. The percentage
@@ -101,6 +89,6 @@
 \end{table}
 
-Impact on indigeneous communities are important considerations when determining
-tsunami impact, especially as a number of communities exist in coastal regions.
+Tsunami impact on indigeneous communities should be considered
+especially as a number of communities exist in coastal regions of north west WA.
 These communities are typically not included in national residential databases 
 and would be therefore overlooked in damage model estimates.
@@ -110,5 +98,4 @@
 (18 \% of the Onslow population)
 and is situated close to the coast as seen in Figure \ref{fig:points}.
-During the HAT scenario, 
-over 1m of water will inundate parts of the community (Figure 
-\ref{fig:gaugeBindiBindiCommunity}) causing significant damage.
+During the HAT scenario, over 1m of water will inundate parts of the community (Figure 
+\ref{fig:gaugeBindiBindiCommunity}) causing significant impact.
Index: /production/onslow_2006/report/data.tex
===================================================================
--- /production/onslow_2006/report/data.tex	(revision 3339)
+++ /production/onslow_2006/report/data.tex	(revision 3340)
@@ -13,26 +13,59 @@
 Data for this study have been sourced from a number of agencies. With
 respect to the onshore data, the Defence Imagery and Geospatial
-Organisation (DIGO) supplied the DTED (Digital Terrain Elevation
-Data) Level 2 data which has been authorised for Australian Tsunami
-Warning System use only. This data has a resolution of 1 second
-(about 30 metres), produced from 1:50 000 contours, elevations and
+Organisation (DIGO) supplied the Digital Terrain Elevation
+Data Level 2 (DTED) which has been authorised for Australian Tsunami
+Warning System use only. The resolution of this data is 1 second
+(about 30 metres), and has been produced from 1:50 000 contours, elevations and
 drainage. In addition, the Department of Land Information (DLI) has provided a
 20m Digital Elevation Model (DEM) and orthophotography 
-covering the NW Shelf. The DTED Level 2 data is ``bare earth'' with
-the DLI data is distored by vegetation and buildings. The WA DLI data
-is used for the simulation results which follow, due to its overall
-increased accuracy over the DTED data. Further discussion on the comparison
-between these data sets is deferred to Section \ref{sec:issues}.
-%However, the 30m
-%DTED Level 2 data is ``bare earth'' whereas the DLI data is distorted by 
-%vegetation 
-%and buildings so we have chosen to use the DTED as the onshore 
-%topographic data set. It is also important to note that the DEM does
-%not include features such as rock walls, berths etc.
+covering the NW Shelf. The DTED Level 2 data is ``bare earth'' and
+the DLI data distorted by vegetation and buildings. The WA DLI data
+is used for the simulation results, due to its overall
+increased accuracy over the DTED data. 
+
+Figure \ref{fig:contours_compare} shows the contour lines for
+HAT, MSL and LAT for Onslow using the DTED data where it is evident 
+that the extent of the tidal inundation is exaggerated. This is due to
+short comings with the digital elevation model (DEM) created from 
+the DTED data. The DEM has been 
+derived from 20m contour lines. {\bf Need some words from hamish here.}
+As a result, we turned to the WA DLI onshore data to present
+the results in this report. Figure \ref{fig:contours_compare} shows
+the contour lines for HAT, MSL and LAT for Onslow using the WA DLI data.
+It is obvious that there are significant differences in each DEM with
+secondary information regarding total station surveys and the knowledge
+of the HAT contour line pointing to increased confidence in the WA DLI
+data over the DTED data for use in inundation modelling.
+The impact difference based on these two onshore data sets 
+will be discussed in Section \ref{sec:issues}.
+
+\pagebreak
+
+\begin{figure}[p]
+(a)
+  \centerline{ \includegraphics[width=150mm, height=100mm]
+{../report_figures/onslow_dted_contour.jpg}}
+
+ % \caption{Onslow region showing the -1.5m AHD (LAT), 0m AHD (MSL)
+ %and -1.5m AHD (LAT) contour lines using the DTED Level 2 data.}
+ % \label{fig:contours_dted}
+%\end{figure}
+
+%\begin{figure}[hbt]
+(b)
+  \centerline{ \includegraphics[width=150mm, height=100mm]
+{../report_figures/onslow_dli_contour.jpg}}
+
+  \caption{Onslow region showing the -1.5m AHD (LAT), 0m AHD (MSL) 
+and 1.5m AHD (HAT) contour lines using the DTED Level 2 data (a) and
+the WA DLI data (b).}
+ % \label{fig:contours_dli}
+ \label{fig:contours_compare}
+\end{figure}
 
 With respect to the offshore data, the Department of Planning and
 Infrastructure (DPI) have provided state digital fairsheet data around
-Onslow. This data covers only a very small geographic area. (Note,
-similar data has been provided for Pt Hedland and Broome by DPI.) 
+Onslow. This data cover only a very small geographic area. (Note,
+similar data have been provided by DPI for Pt Hedland and Broome.) 
 The Australian Hydrographic Office (AHO) has supplied extensive
 fairsheet data which has also been utilised. 
@@ -40,8 +73,8 @@
 using the aerial photography, two detailed surveys provided
 by WA DPI and a number of total station surveys of Onslow. 
-The WA DLI data surrounding the coast is error prone and
-has been clipped at the derived coastline. 
-Appendix \ref{sec:metadata} provides more details and metadata for data 
-used for this study.
+The WA DLI data surrounding the coast are error prone and
+have been clipped at the derived coastline. 
+Appendix \ref{sec:metadata} provides more details and the supporting metadata 
+for this study.
 Table \ref{table:data} summarises the available data for this study.
 
Index: /production/onslow_2006/report/discussion.tex
===================================================================
--- /production/onslow_2006/report/discussion.tex	(revision 3339)
+++ /production/onslow_2006/report/discussion.tex	(revision 3340)
@@ -1,86 +1,14 @@
-%As part of the CRA, it was decided to provide results for the
-%extremes of the tidal regimes to understand the potential range of impacts 
-%from the event. The Highest Astronomical Tide (HAT) and Lowest
-%Astronomical Tide (LAT) are defined as 1.5m AHD and -1.5m AHD 
-%respectively for Onslow, \cite{antt:06}. These values are tidal
-%predictions based on continous tidal observations from Standard Ports
-%over a period of
-%at least one year, with the Australian Hydrographic Service
-%recommending this be extended to three years to capture
-%changes to the mean sea level. Onslow is listed as
-%a Standard Port. 
-
-%As an aside, current work at GA is
-%extracting information from LANDSAT imagery to reconstruct the 
-%tidal variations for various WA locations. Future modelling of
-%these areas will incorporate this information.
-
-Initial simulations for this study used the DIGO DTED Level 2 data
-(see Section \ref{sec:data}) due to the fact it is
-``bare earth'', whereas the DLI data is distorted by 
-vegetation and buildings.
-Figure \ref{fig:contours_compare} shows the contour lines for
-HAT, MSL and LAT for Onslow using the DTED data where it is evident 
-that the extent of the tidal inundation is exaggerated. This is due to
-short comings with the digital elevation model (DEM) created from 
-the DTED data. The DEM has been 
-derived from 20m contour lines. {\bf Need some words from hamish here.}
-As a result, we turned to the WA DLI onshore data to present
-the results in this report. Figure \ref{fig:contours_compare} shows
-the contour lines for HAT, MSL and LAT for Onslow using the WA DLI data.
-It is obvious that there are significant differences in each DEM with
-secondary information regarding total station surveys and the knowledge
-of the HAT contour line pointing to increased confidence in the WA DLI
-data over the DTED data for use in inundation modelling.
-
 The purpose of this section then is to show the differences to the impact
-ashore when each data set is used to demonstrate the importance of using the
-best possible data set. The maximum inundation map is shown for the MSL 
-scenario using the DTED data in 
-Figure \ref{fig:MSL_map_DTED} which can be compared with the equivalent map for 
-the WA DLI data, Figure \ref{fig:MSL_max_inundation}. Given that the 1.5m contour
+when each data set is used to demonstrate the importance of using the
+best possible data set. Given that the 1.5m AHD contour
 line is further from the coast for the DTED data than the DLI data, we
-expect to see the inundation to reach further and thus be greater than
-that seen in Figure \ref{fig:MSL_max_inundation}. This is confirmed by
-Figure \ref{fig:MSL_map_DTED}. These results point to the need for the best 
+expect the inundation to extend further and thus be greater than
+that seen in Figure \ref{fig:MSL_map}. Further, the impact modelling
+will result in inflated structural and contents loss figures as well as
+numbers of people affected.
+These results point to the need for the best 
 available data so that more accurate predictions regarding the 
 inundation can be made.
 
-Additionally, we show the time history of the water's stage and 
-velocity for the point locations in Table \ref{table:locations} for
-both the DTED and DLI data at MSL. These results are shown in Section
-\ref{sec:timeseriescompare}.
-\pagebreak
 
-\begin{figure}[p]
 
-  \centerline{ \includegraphics[width=150mm, height=100mm]
-{../report_figures/onslow_dted_contour.jpg}}
-
- % \caption{Onslow region showing the -1.5m AHD (LAT), 0m AHD (MSL)
- %and -1.5m AHD (LAT) contour lines using the DTED Level 2 data.}
- % \label{fig:contours_dted}
-%\end{figure}
-
-%\begin{figure}[hbt]
-
-  \centerline{ \includegraphics[width=150mm, height=100mm]
-{../report_figures/onslow_dli_contour.jpg}}
-
-  \caption{Onslow region showing the -1.5m AHD (LAT), 0m AHD (MSL) 
-and -1.5m AHD (LAT) contour lines using the DTED Level 2 data and
-the WA DLI data.}
- % \label{fig:contours_dli}
- \label{fig:contours_compare}
-\end{figure}
-
-\begin{figure}[p]
-
-  \centerline{ \includegraphics[width=\paperwidth]
-{../report_figures/mid_tide_DTED.jpg}}
-
-  \caption{Maximum inundation map for the Onslow region using
-  the DTED data.}
-  \label{fig:MSL_map_DTED}
-\end{figure}
-
Index: /production/onslow_2006/report/execsum.tex
===================================================================
--- /production/onslow_2006/report/execsum.tex	(revision 3339)
+++ /production/onslow_2006/report/execsum.tex	(revision 3340)
@@ -1,28 +1,17 @@
-The Fire and Emergency Services Authority of Western Australia (FESA) and 
-associated volunteers respond to a wide range of emergencies 
-as well as undertaking search and rescue operations on land and 
-water\footnote{http://www.fesa.wa.gov.au/internet/}. 
-FESA also aims to reduce injury, loss of life and destruction of property in 
-Western Australian communities through proactive measures. 
-FESA helps the West Australian 
-community prepare, prevent (where possible) and respond safely to disasters.
-These risk mitigation activities involve understanding the relative risk
-of the disaster so that resources can be directed to appropriate areas
-and corresponding evacuation plans put in place.  
-
-The key role of the Risk Research Group at Geoscience Australian 
-is to develop knowledge on the risk from natural and 
-human-caused hazards for input to policy and operational decision makers 
-for the mitigation of risk to Australian communities. The group achieves 
-this through the development of computational methods, models and decision 
-support tools that assess the hazard, vulnerability and risk posed by hazards.
-To develop an understanding of the tsunami risk, these
-decision support tools consist of inundation
-maps overlaid on aerial photography of the region 
-detailing critical infrastructure as well as damage modelling estimates. 
+This report is being provided to the Fire and Emergency Services Authority
+(FESA) as part of the Collaborative Research Agreement (CRA) 
+with Geoscience Australia (GA).
+FESA recognises the potential vulnerability of the Western Australia
+coastline to tsunamigenic earthquakes originating from 
+the Sunda Arc subduction zone that caused the December 2004 event. 
+There is historic evidence of tsunami events affecting the 
+Western Australia coastline, \cite{CB:ausgeo}, 
+and FESA has sought to assess
+the relative risk of its urban and regional communities to the tsunami
+threat and develop detailed response plans for a range of plausible events.
 
 This report describes the modelling methodology and the results
-for a particular tsunami-genic event as it impacts Onslow on the North
-West Shelf. This report and the decision support tool are the 
+for a particular tsunami-genic event as it impacts the Onslow township
+and its surrounds. This report and the decision support tool are the 
 June 2006 deliverables of the Collaborative Research Agreement
 between FESA and GA.
Index: /production/onslow_2006/report/interpretation.tex
===================================================================
--- /production/onslow_2006/report/interpretation.tex	(revision 3339)
+++ /production/onslow_2006/report/interpretation.tex	(revision 3340)
@@ -1,5 +1,5 @@
 The main features of the
 tsunami wave and resultant impact ashore is described in this section. 
-To assist this description, we have
+We have
 chosen a number of locations which we believe would be important
 in an emergency situation, such as the hospital and power station, or
@@ -26,8 +26,8 @@
 1 & leisurely stroll pace\\ \hline
 1.5 & average walking pace \\ \hline
-2 & 100m Olympic male freestyle \\ \hline
-3 & mackeral \\ \hline
+%2 & 100m Olympic male freestyle \\ \hline
+%3 & mackeral \\ \hline
 4 & average person maintain for 1000m \\ \hline
-5 & blue whale \\ \hline
+%5 & blue whale \\ \hline
 10 & 100m Olympic male sprinter \\ \hline
 16 & car travelling in urban zones (60 km/hr) \\ \hline
@@ -64,5 +64,5 @@
 The speeds at west and east of Beadon Bay are quite similar
 (Figure \ref{fig:gaugeBeadonBayeast} and Figure \ref{fig:gaugeBeadonBaywest}). 
-however, there are increased amplitudes (from drawdown to maximum 
+However, there are increased amplitudes (from drawdown to maximum 
 amplitude), in the eastern location which is in shallower water than the western 
 location.
@@ -80,7 +80,7 @@
 There is inundation between the western sand dunes at high 
 tide, Figure \ref{fig:HAT_max_inundation}, however, this water 
-penetrated from the north east (via
+penetrates from the north east (via
 Onslow town centre) rather than seaward. (The DEM indicates that 
-this area is under 1.5m which is automatically deemed to inundated
+this area is under 1.5m AHD which is automatically deemed to be inundated
 at HAT.)
 The same feature is evident for the sand dunes east of Onslow. 
@@ -104,11 +104,11 @@
 river which becomes increasingly inundated as the initial condition
 changes from 0m AHD to 1.5m AHD. Only the
-entry to the wharf on Beadon Creek Rd is sufficiently inundated at -1.5m AHD
-to stop traffic. At 1.5m AHD however, essentially the entire road 
-would be impassable.
+entry to the wharf on Beadon Creek Rd is sufficiently inundated to 
+stop traffic at -1.5m AHD. 
+At 1.5m AHD however, essentially the entire road would be impassable.
 
 There is significant inundation of at
 least 2m on the foreshore of Onslow for 0m AHD and 1.5m AHD.
-The inundation extent increases the initial condition increases above 0m AHD, 
-pushing the edges
-of the majority of the road infrastructure in the Onslow town centre.
+The inundation extent increases as the initial condition increases above 0m AHD, 
+reaching the southern boundaries of 
+the road infrastructure in the Onslow town centre.
Index: /production/onslow_2006/report/introduction.tex
===================================================================
--- /production/onslow_2006/report/introduction.tex	(revision 3339)
+++ /production/onslow_2006/report/introduction.tex	(revision 3340)
@@ -1,26 +1,38 @@
+The Fire and Emergency Services Authority of Western Australia (FESA) and 
+associated volunteers respond to a wide range of emergencies 
+as well as undertaking search and rescue operations on land and 
+water\footnote{http://www.fesa.wa.gov.au/internet/}. 
+FESA also aims to reduce injury, loss of life and destruction of property in 
+Western Australian communities through proactive measures. 
+FESA helps the West Australian 
+community prepare, prevent (where possible) and respond safely to disasters.
+These risk mitigation activities involve understanding the relative risk
+of the disaster so that resources can be directed to appropriate areas
+and corresponding evacuation plans put in place.  
 
-This report is being provided to the Fire and Emergency Services Authority
-(FESA) as part of the Collaborative Research Agreement (CRA) 
-with Geoscience Australia (GA).
-FESA recognises the potential vulnerability of the Western Australia
-coastline to tsunamigenic earthquakes originating from 
-the Sunda Arc subduction zone that caused the December 2004 event which
-fortunately had no impact on Australia. 
-However, there is historic evidence of tsunami events affecting the 
-Western Australia coastline, \cite{CB:ausgeo}, 
-and FESA has sought to assess
-the relative risk of its urban and regional communities to the tsunami
-threat and develop detailed response plans for a range of plausible events.
+The key role of the Risk Research Group at Geoscience Australian 
+is to develop knowledge on the risk from natural and 
+human-caused hazards for input to policy and operational decision makers 
+for the mitigation of risk to Australian communities. The group achieves 
+this through the development of computational methods, models and decision 
+support tools that assess the hazard, vulnerability and risk posed by hazards.
+To develop an understanding of the tsunami risk, these
+decision support tools consist of inundation
+maps overlaid on aerial photography of the region 
+detailing critical infrastructure as well as damage modelling estimates. 
 
-This report is the first in a series of studies 
-for input to the suite of tsunami assessments for the North West
-Shelf. Subsequent reports will not only
-describe studies for other localities, they will also revisit these
-scenarios as more refined hazard models with associated return rates
-become available. In this report,
+This report is the first in a series of tsunami assessments 
+of the North West Shelf. The scenario used for this study has
+an unknown return period, however it is a plausible event (see
+Section \ref{sec:tsunamiscenario}. 
+Subsequent assessments will use refined hazard models with
+associate return rates for other localities, as advised by FESA.
+In this report,
 the methods, assumptions and impacts of a
 single tsunami source scenario is described for the Onslow area in the 
-North West shelf region. 
-Onslow has a population of around 800
+North West shelf region. Future studies
+will present a series of scenarios for a range of return periods to 
+assist FESA in developing appropriate plans for a range of event impacts. 
+Onslow has a population of around 800 and
 is part of the Shire of Ashburton in the Pilbara region of 
 Western Autralia\footnote{http://www.pdc.wa.gov.au/region/political.htm}. 
@@ -29,19 +41,11 @@
 fishing and tourism.
 
-The report will outline the methods of modelling the tsunami from its 
-source to its impact ashore and present the predicted consequences. 
-The scenario used for this study has an unknown 
-return period, however it
-is a plausible event, see Section \ref{sec:tsunamiscenario}. 
-Future studies
-will present a series of scenarios for a range of return periods to 
-assist FESA in developing appropriate plans for a range of event impacts. 
-The details of the hazard modelling will not be described here, however,
-the modelling technique to simulate the 
-impact ashore will be discussed in Section \ref{sec:anuga} with data inputs
+The modelling technique to simulate the 
+impact ashore will be discussed in Section \ref{sec:anuga} and data inputs
 discussed in Section \ref{sec:data}. 
-The inundation results will be shown and discussed in Section \ref{sec:results} 
-with the impact modelling outputs shown in Section \ref{sec:impact}.
-The report concludes with a summary of the results detailing issues
-regarding underlying data and further model development.
+The inundation results are presented and discussed in Section \ref{sec:results} 
+and the impact modelling results outlined in Section \ref{sec:impact}.
+A summary of the results detailing issues
+regarding underlying data and further model development, are discussed 
+in Section \ref{sec:summary}.
 
Index: /production/onslow_2006/report/summary.tex
===================================================================
--- /production/onslow_2006/report/summary.tex	(revision 3339)
+++ /production/onslow_2006/report/summary.tex	(revision 3340)
@@ -4,11 +4,11 @@
 and Mean Sea Level. 
 There is no knowledge of the return period for this event. The
-modelling methodology, assumptions and data sources which are
-required to determine the impact to Onslow have also
-been described. 
+modelling methodology, assumptions and data sources for the Onslow 
+scenario have also been described. 
 As discussed in Section \ref{sec:issues}, it is imperative
 that the best available data is used to increase confidence
-in the inundation maps. It is not yet clear what onshore grid resolution
-is required.
+in the inundation maps. An onshore grid resolution of the order
+of tens of metres is required, however, it is more important that the data
+is accurate (or at least well known).
 These scenarios will be revisited once the probabilistic models
 are complete so that a suite of tsunami impact assessments can be made.
Index: /production/onslow_2006/report/tsunami_scenario.tex
===================================================================
--- /production/onslow_2006/report/tsunami_scenario.tex	(revision 3339)
+++ /production/onslow_2006/report/tsunami_scenario.tex	(revision 3340)
@@ -1,23 +1,24 @@
-The tsunamigenic event used for this study was developed for a 
-preliminary tsunami hazard assessment study delivered to FESA in September 2005,
+The tsunamigenic event used in this report was developed for a 
+preliminary tsunami hazard assessment study delivered by GA
+to FESA in September 2005,
 \cite{BC:FESA}. In that assessment, a suite of Mw 9 earthquakes
 were evenly spaced along the Sunda Arc subduction zone and there
 was no consideration of the likelihood of each event. 
-Other sources were not considered, such
+Other less likely sources were not considered, such
 as intra-plate earthquakes near the WA coast, volcanoes, landslides
-or asteroids as they are known to be less likely. 
-The preliminary assessment argued
-that the maximum magnitude of earthquakes off Java is at least 8.5 and
-could potentially be as high as 9.
+or asteroids. 
+In the preliminary assessment,
+the maximum magnitude of earthquakes off Java was considered to be
+at least 8.5 and could potentially be as high as 9.
 
-FESA are interested in the ``most frequent worst case scenario''. Whilst
+FESA is interested in the ``most frequent worst case scenario''. Whilst
 we currently cannot determine exactly what that event may be, the Mw 9 event 
 provides a plausible worst case scenario. To understand the 
 frequency of these tsunami-genic events,
-current studies underway in GA are building probabilistic
+GA is building probabilistic
 models to develop a more complete tsunami hazard assessment
 for the Sunda Arc subduction zone,
 due for completion in late 2006. In the preliminary assessment for
-example, it was argued that while Mw 7 and 8 earthquakes are expected
+example, it was suggested that while Mw 7 and 8 earthquakes are expected
 to occur with a greater frequency than Mw 9 events, 
 they are likely to pose a comparatively low and more localised hazard to WA. 