Index: /inundation/geospatial_data/geospatial_data.py
===================================================================
--- /inundation/geospatial_data/geospatial_data.py	(revision 3350)
+++ /inundation/geospatial_data/geospatial_data.py	(revision 3351)
@@ -792,5 +792,5 @@
         msg = "Use a Geospatial_data object or a mesh origin. Not both."
         assert geo_reference == None, msg
-            
+        return points    
     else:
         points = ensure_numeric(points, Float)
@@ -804,5 +804,5 @@
                                 geo_reference[1],
                                 geo_reference[2])
-        points = Geospatial_data(data_points=points, geo_reference=geo)        
+    points = Geospatial_data(data_points=points, geo_reference=geo)        
     return points
              
Index: /inundation/geospatial_data/test_geospatial_data.py
===================================================================
--- /inundation/geospatial_data/test_geospatial_data.py	(revision 3350)
+++ /inundation/geospatial_data/test_geospatial_data.py	(revision 3351)
@@ -1073,14 +1073,14 @@
                          [2.0, 0.0],[2.0, 2.0],
                          [1.0, 3.0],[2.0, 2.0]]
-        new_points = ensure_absolute(points)
-        
-        assert allclose(new_points, points)
+        new_points = ensure_geospatial(points)
+        
+        assert allclose(new_points.get_data_points(absolute = True), points)
 
         points = array([[2.0, 0.0],[1.0, 1.0],
                          [2.0, 0.0],[2.0, 2.0],
                          [1.0, 3.0],[2.0, 2.0]])
-        new_points = ensure_absolute(points)
-        
-        assert allclose(new_points, points)
+        new_points = ensure_geospatial(points)
+        
+        assert allclose(new_points.get_data_points(absolute = True), points)
         
         ab_points = array([[2.0, 0.0],[1.0, 1.0],
@@ -1345,5 +1345,5 @@
 if __name__ == "__main__":
 
-    #suite = unittest.makeSuite(Test_Geospatial_data, 'test_lat_long')
+    #suite = unittest.makeSuite(Test_Geospatial_data, 'test_ensure_geospatial')
     suite = unittest.makeSuite(Test_Geospatial_data, 'test')
     runner = unittest.TextTestRunner()
Index: /inundation/pmesh/mesh.py
===================================================================
--- /inundation/pmesh/mesh.py	(revision 3350)
+++ /inundation/pmesh/mesh.py	(revision 3351)
@@ -637,8 +637,7 @@
         """
         point_data = ensure_geospatial(point_data)
-
+        #print "point_data",point_data 
         # get points relative to the mesh geo_ref
         points = point_data.get_data_points(geo_reference=self.geo_reference)
-        #FIXME finish....
     
         for point in points:
Index: /inundation/pmesh/test_mesh.py
===================================================================
--- /inundation/pmesh/test_mesh.py	(revision 3350)
+++ /inundation/pmesh/test_mesh.py	(revision 3351)
@@ -2142,5 +2142,20 @@
                         'FAILED!')
 
-        
+    
+    def test_add_vertices_more(self):
+        points = [[0.1,1],[0.4,.2],[7,5],[10,5]]
+        #spat = Geospatial_data(points)
+        
+        m = Mesh()
+        m.add_vertices(points)
+
+        vert = m.getUserVertices()
+        #print "vert",vert 
+        self.failUnless(4==len(vert),
+                        'FAILED!')
+        vert= m.get_user_vertices(absolute=True)
+        self.failUnless(vert==points,
+                        'FAILED!')
+    
     def test_add_verticesII(self):
         points_lat_long = [[-33,152],[-35,152],[-35,150],[-33,150]]
@@ -2214,6 +2229,6 @@
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    #suite = unittest.makeSuite(meshTestCase,'test')
-    suite = unittest.makeSuite(meshTestCase,'test_add_verticesII')
+    suite = unittest.makeSuite(meshTestCase,'test')
+    #suite = unittest.makeSuite(meshTestCase,'test_add_vertices_more')
     runner = unittest.TextTestRunner() #verbosity=2)
     runner.run(suite)