Index: /production/onslow_2006/make_report.py
===================================================================
--- /production/onslow_2006/make_report.py	(revision 3360)
+++ /production/onslow_2006/make_report.py	(revision 3361)
@@ -29,4 +29,5 @@
 * Impact modelling
 * Summary
+* Acknowledgements
 * References
 * Appendix: Metadata
@@ -279,4 +280,7 @@
      \section{Summary}
      \input{summary}
+
+     \section{Acknowledgements}
+     \input{acknowledgements}
      
     \input{references}
Index: /production/onslow_2006/report/acknowledgements.tex
===================================================================
--- /production/onslow_2006/report/acknowledgements.tex	(revision 3361)
+++ /production/onslow_2006/report/acknowledgements.tex	(revision 3361)
@@ -0,0 +1,25 @@
+
+The Inundation Modelling Team in 
+the Risk Research Group at GA would like to thank a number of organisations and groups
+in providing input in this study;
+
+\begin{itemize}
+\item The AHO for their assistance in supplying digitised fairsheet data for the priority areas
+along the NW Shelf. 
+\item The WA DPI in their assistance in supplying digitised state fairsheet data
+for nominated areas and ably assisting in queries regarding bathymetric data
+\item The WA DLI in their assistance in supplying the onshore 20m DEM for use in this project
+\item The National Mapping Division, in particular Hamish Anderson, for sourcing onshore
+data for the FESA project and building a DEM
+suitable for purposes of inundation modelling
+\item The Petroleum and Marine Divison, in particular Kathryn Tobin, Mike Sexton, Phil O'Brien
+and Mark Alcock, for sourcing offshore data for the regions of interest and providing
+advice on bathymetric data issues, 
+\item The GIS team in the Risk Assessment Methods Project (RAMP) for developing the
+decision support tool and providing assistance to the inundation modellers on a frequent basis
+\item The exposure database development team in RAMP for providing the necessary information
+to undertake the damage modelling
+\item The engineering section in RAMP for calculating the damage estimates, 
+and finally
+\item FESA, for providing a range of support to the project.
+\end{itemize}
Index: /production/onslow_2006/report/damage.tex
===================================================================
--- /production/onslow_2006/report/damage.tex	(revision 3360)
+++ /production/onslow_2006/report/damage.tex	(revision 3361)
@@ -50,9 +50,10 @@
 is summarised in Table \ref{table:damageoutput}. The percentage
 of repair cost to structural value shown is based on the total structural value
-of \$60,187,955. Likewise, the percentage of contents loss shown is
-based on the total contents value of \$85,410,060 for
-the Onslow region. The injuries sustained is summarised
-in Table \ref{table:injuries}. The HAT scenario is the only scenario to cause damage 
-to Onslow with around \%13 of the population affected. 
+of \$60M. Likewise, the percentage of contents loss shown is
+based on the total contents value of \$85M for
+the Onslow region. 
+%The injuries sustained is summarised in Table \ref{table:injuries}. 
+The HAT scenario is the only scenario to cause damage 
+to Onslow with around 10-15\% of the population affected. 
 
 \begin{table}[h]
@@ -65,5 +66,5 @@
 & of Total Value & Losses & of Total Value \\ \hline
 %MSL & & 1 & \$ &   \% & \$ &  \% \\ \hline
-HAT 68& 1&\$6 237 263 & &\$12 664 077 & & \\ \hline
+HAT 68& 1&\$6M & &\$13M & & \\ \hline
 %LAT & & & & & & \\ \hline
 \end{tabular}
Index: /production/onslow_2006/report/data.tex
===================================================================
--- /production/onslow_2006/report/data.tex	(revision 3360)
+++ /production/onslow_2006/report/data.tex	(revision 3361)
@@ -18,7 +18,5 @@
 20m Digital Elevation Model (DEM) and orthophotography 
 covering the NW Shelf. The DTED Level 2 data is ``bare earth'' and
-the DLI data distorted by vegetation and buildings. The WA DLI data
-is used for the simulation results, due to its overall
-increased accuracy over the DTED data. 
+the DLI data distorted by vegetation and buildings.  
 
 Figure \ref{fig:contours_compare}(a) shows the contour lines for
@@ -26,6 +24,6 @@
 that the extent of the tidal inundation is exaggerated. This is due to
 short comings with the digital elevation model (DEM) created from 
-the DTED data. The DEM has been 
-derived from 20m contour lines. {\bf Need some words from hamish here.} Figure \ref{fig:contours_compare}(b) shows
+the DTED data. 
+Figure \ref{fig:contours_compare}(b) shows
 the contour lines for HAT, MSL and LAT for Onslow using the WA DLI data.
 It is obvious that there are significant differences in each DEM with
Index: /production/onslow_2006/report/discussion.tex
===================================================================
--- /production/onslow_2006/report/discussion.tex	(revision 3360)
+++ /production/onslow_2006/report/discussion.tex	(revision 3361)
@@ -4,5 +4,6 @@
 line is further from the coast for the DTED data than the DLI data, we
 expect the inundation to extend further and thus be greater than
-that seen in Figure \ref{fig:MSL_map}. Further, the impact modelling
+that seen in Figure \ref{fig:MSL_max_inundation}. 
+Further, the impact modelling
 will result in inflated structural and contents loss figures as well as
 numbers of people affected.
Index: /production/onslow_2006/report/interpretation.tex
===================================================================
--- /production/onslow_2006/report/interpretation.tex	(revision 3360)
+++ /production/onslow_2006/report/interpretation.tex	(revision 3361)
@@ -36,6 +36,6 @@
 \end{table}
 
-Examining the offshore locations shown in Section \ref{sec:timeseries}, 
-the drawdown prior to the tsunami wave 
+Examining the offshore locations shown in Appendix 
+\ref{sec:timeseries}, the drawdown prior to the tsunami wave 
 arriving at the shore can be seen to occur around 230 mins  
 (3.8 hours) after the tsunami is generated. 
@@ -68,5 +68,5 @@
 location.
 Subsequent drawdowns are seen as the multitude of waves which make up the 
-event (see Figure \ref{fig:MOSTsolution}) propagate towards the shore. 
+event propagate towards the shore. 
 
 %At some gauge locations, these 
Index: /production/onslow_2006/report/onslow_2006_report.tex
===================================================================
--- /production/onslow_2006/report/onslow_2006_report.tex	(revision 3360)
+++ /production/onslow_2006/report/onslow_2006_report.tex	(revision 3361)
@@ -127,4 +127,7 @@
      \section{Summary}
      \input{summary}
+
+     \section{Acknowledgements}
+     \input{acknowledgements}
      
     \input{references}