Index: production/pt_hedland_2006/report/acknowledgements.tex
===================================================================
--- production/pt_hedland_2006/report/acknowledgements.tex	(revision 3365)
+++ production/pt_hedland_2006/report/acknowledgements.tex	(revision 3365)
@@ -0,0 +1,25 @@
+
+The Inundation Modelling Team in 
+the Risk Research Group at GA would like to thank a number of organisations and groups
+in providing input in this study;
+
+\begin{itemize}
+\item The AHO for their assistance in supplying digitised fairsheet data for the priority areas
+along the NW Shelf. 
+\item The WA DPI in their assistance in supplying digitised state fairsheet data
+for nominated areas and ably assisting in queries regarding bathymetric data
+\item The WA DLI in their assistance in supplying the onshore 20m DEM for use in this project
+\item The National Mapping Division, in particular Hamish Anderson, for sourcing onshore
+data for the FESA project and building a DEM
+suitable for purposes of inundation modelling
+\item The Petroleum and Marine Divison, in particular Kathryn Tobin, Mike Sexton, Phil O'Brien
+and Mark Alcock, for sourcing offshore data for the regions of interest and providing
+advice on bathymetric data issues, 
+\item The GIS team in the Risk Assessment Methods Project (RAMP) for developing the
+decision support tool and providing assistance to the inundation modellers on a frequent basis
+\item The exposure database development team in RAMP for providing the necessary information
+to undertake the damage modelling
+\item The engineering section in RAMP for calculating the damage estimates, 
+and finally
+\item FESA, for providing a range of support to the project.
+\end{itemize}
Index: production/pt_hedland_2006/report/anuga.tex
===================================================================
--- production/pt_hedland_2006/report/anuga.tex	(revision 3364)
+++ production/pt_hedland_2006/report/anuga.tex	(revision 3365)
@@ -36,6 +36,6 @@
 as the vertical datum. Mean Sea Level (MSL) is approximately equal to
 0m AHD with the Highest Astronomical Tide (HAT) 
-and Lowest Astronomical Tide (LAT) defined as 1.5m AHD
-and -1.5m AHD respectively for Onslow, \cite{antt:06}. 
+and Lowest Astronomical Tide (LAT) defined as 3.6m AHD
+and -3.9m AHD respectively for Onslow, \cite{antt:06}. 
 These values are tidal
 predictions based on continous tidal observations from Standard Ports
Index: production/pt_hedland_2006/report/computational_setup.tex
===================================================================
--- production/pt_hedland_2006/report/computational_setup.tex	(revision 3364)
+++ production/pt_hedland_2006/report/computational_setup.tex	(revision 3365)
@@ -2,18 +2,22 @@
 determined. Preliminary investigations have indicated the point
 at which the output from MOST is the input to ANUGA is
-sufficient at the 100m bathymetric contour line\footnote{ 
+sufficient at between the 50m and 100m bathymetric contour line.
+In constrast to the Onslow study,
+we choose the 50m contour line as the seaward boundary due primarily
+to computational constraints.
+\footnote{ 
 Preliminary investigations indicate that MOST and ANUGA compare
-well at the 100m contour line. In addition, the resolution for
+well at the 50m and 100m contour line. In addition, the resolution for
 the MOST modelling indicate that it can theoretically model 
 tsunamis with a wavelength of 20-30km, and the wavelength of
 the tsunami wave at the boundary is approximately 20km. A much
 higher model resolution will be used in developing the probabilistic
-models for further studies.}. Historical runup heights are 
+models for further studies.}.  Historical runup heights are 
 of the order of 10m and we would expect that a tsunami wave
 would penetrate no higher for this scenario.
 Current computation requirements define a coastline
-extent of around 100km. Therefore, the study area of around 6300 km$^2$ 
+extent of around 100km. Therefore, the study area of around ? km$^2$ 
 covers approximately 100km of
-coastline and extends offshore to the 100m contour line and inshore to 
+coastline and extends offshore to the 50m contour line and inshore to 
 approximately 10m elevation. 
 
@@ -33,6 +37,6 @@
   \caption{Study area for the Port Hedland scenario highlighting four regions of increased refinement. 
 Region 1: Surrounds Port Hedland town centre with a cell area of 500 m$^2$ (lateral accuracy 30m).
-Region 2: Surrounds the coastal region with a cell area of 2500 m$^2$ (lateral accuracy 70m).
-Region 3: Water depths to the 50m contour line (approximately) with a cell area of 20000 m$^2$ (later accuracy 200m).
+Region 2: Surrounds the coastal region with a cell area of 50000 m$^2$ (lateral accuracy 220m).
+Region 3: Water depths to the 50m contour line (approximately) with a cell area of 250000 m$^2$ (later accuracy 700m).
 }
   \label{fig:pt_hedland_area}
@@ -45,6 +49,5 @@
 
   \caption{Computational mesh for Port Hedland study area where the
-cell areas increase in resolution; 500 m$^2$, 2500 m$^2$, 20000 
-m$^2$ and 100000 m$^2$.}
+cell areas increase in resolution; 500 m$^2$, 50000 m$^2$ and 250000 m$^2$.}
   \label{fig:mesh_pt_hedland}
 \end{figure}
Index: production/pt_hedland_2006/report/data.tex
===================================================================
--- production/pt_hedland_2006/report/data.tex	(revision 3364)
+++ production/pt_hedland_2006/report/data.tex	(revision 3365)
@@ -40,6 +40,6 @@
 {../report_figures/pt_hedland_dted_contour.jpg}}
 
- % \caption{Port Hedland region showing the -1.5m AHD (LAT), 0m AHD (MSL)
- %and -1.5m AHD (LAT) contour lines using the DTED Level 2 data.}
+ % \caption{Port Hedland region showing the -3.9m AHD (LAT), 0m AHD (MSL)
+ %and -3.6m AHD (LAT) contour lines using the DTED Level 2 data.}
  % \label{fig:contours_dted}
 %\end{figure}
@@ -50,6 +50,6 @@
 {../report_figures/pt_hedland_dli_contour.jpg}}
 
-  \caption{Port Hedland region showing the -1.5m AHD (LAT), 0m AHD (MSL) 
-and 1.5m AHD (HAT) contour lines using the (a) DTED Level 2 data and
+  \caption{Port Hedland region showing the -3.9m AHD (LAT), 0m AHD (MSL) 
+and 3.6m AHD (HAT) contour lines using the (a) DTED Level 2 data and
 the (b) WA DLI data.}
  % \label{fig:contours_dli}