Index: /production/onslow_2006/report/HAT_map.tex
===================================================================
--- /production/onslow_2006/report/HAT_map.tex	(revision 3365)
+++ /production/onslow_2006/report/HAT_map.tex	(revision 3366)
@@ -1,3 +1,2 @@
-%\begin{figure}[hbt] 
 \begin{sidewaysfigure}
 \centerline{ \includegraphics[width=\paperwidth]{../report_figures/high_tide_20060704_063005.jpg}} 
Index: /production/onslow_2006/report/onslow_2006_report.tex
===================================================================
--- /production/onslow_2006/report/onslow_2006_report.tex	(revision 3365)
+++ /production/onslow_2006/report/onslow_2006_report.tex	(revision 3366)
@@ -27,5 +27,4 @@
 \usepackage{lscape} %landcape pages support
 \usepackage{setspace}
-\usepackage{rotating}
 \include{appendix}
 \setstretch{1.25}
Index: /production/pt_hedland_2006/project.py
===================================================================
--- /production/pt_hedland_2006/project.py	(revision 3365)
+++ /production/pt_hedland_2006/project.py	(revision 3366)
@@ -5,5 +5,5 @@
 from os import sep, environ, getenv, getcwd
 from os.path import expanduser, basename
-from utilities.polygon import read_polygon
+#from utilities.polygon import read_polygon
 import sys
 from pmesh.create_mesh import convert_points_from_latlon_to_utm
Index: /production/pt_hedland_2006/report/latexoutput.tex
===================================================================
--- /production/pt_hedland_2006/report/latexoutput.tex	(revision 3366)
+++ /production/pt_hedland_2006/report/latexoutput.tex	(revision 3366)
@@ -0,0 +1,200 @@
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHospitalstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHospitalspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Hospital location (elevation 14.56m)} 
+ \label{fig:gaugeHospital} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeEffluentWaterPondsstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeEffluentWaterPondsspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Effluent Water Ponds location (elevation 5.13m)} 
+ \label{fig:gaugeEffluentWaterPonds} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeTjalkaBoordaAboriginalReservestage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeTjalkaBoordaAboriginalReservespeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Tjalka Boorda Aboriginal Reserve location (elevation 5.79m)} 
+ \label{fig:gaugeTjalkaBoordaAboriginalReserve} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeWaterTanksstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeWaterTanksspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Water Tanks location (elevation 5.65m)} 
+ \label{fig:gaugeWaterTanks} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugePrimarySchoolstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugePrimarySchoolspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Primary School location (elevation 11.59m)} 
+ \label{fig:gaugePrimarySchool} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLaceyStreetstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLaceyStreetspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Lacey Street location (elevation 11.26m)} 
+ \label{fig:gaugeLaceyStreet} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeCouncilOfficesstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeCouncilOfficesspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Council Offices location (elevation 13.81m)} 
+ \label{fig:gaugeCouncilOffices} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeRichardsonStreetstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeRichardsonStreetspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Richardson Street location (elevation 8.94m)} 
+ \label{fig:gaugeRichardsonStreet} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeTugHarbourstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeTugHarbourspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Tug Harbour location (elevation -16.01m)} 
+ \label{fig:gaugeTugHarbour} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeNo1Warfstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeNo1Warfspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at No 1 Warf location (elevation 6.63m)} 
+ \label{fig:gaugeNo1Warf} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeNo3Warfstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeNo3Warfspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at No 3 Warf location (elevation 7.84m)} 
+ \label{fig:gaugeNo3Warf} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeNelsonPointWarfstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeNelsonPointWarfspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Nelson Point Warf location (elevation 8.55m)} 
+ \label{fig:gaugeNelsonPointWarf} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHelipadstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHelipadspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Helipad location (elevation 6.83m)} 
+ \label{fig:gaugeHelipad} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeMtGoldworthyWharf-Berthstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeMtGoldworthyWharf-Berthspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Mt Goldworthy Wharf - Berth location (elevation -10.62m)} 
+ \label{fig:gaugeMtGoldworthyWharf-Berth} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeIronOreHoldingsstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeIronOreHoldingsspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Iron Ore Holdings location (elevation 8.93m)} 
+ \label{fig:gaugeIronOreHoldings} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeMiddleChannelstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeMiddleChannelspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Middle Channel location (elevation -8.76m)} 
+ \label{fig:gaugeMiddleChannel} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeGreatNorthernHwy-SolarSaltFarmstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeGreatNorthernHwy-SolarSaltFarmspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Great Northern Hwy - Solar Salt Farm location (elevation 5.32m)} 
+ \label{fig:gaugeGreatNorthernHwy-SolarSaltFarm} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeEstsideSolarSaltFarmstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeEstsideSolarSaltFarmspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Est side Solar Salt Farm location (elevation 4.18m)} 
+ \label{fig:gaugeEstsideSolarSaltFarm} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeAirportstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeAirportspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Airport location (elevation 9.26m)} 
+ \label{fig:gaugeAirport} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLeeheyStreetstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLeeheyStreetspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Leehey Street location (elevation 5.90m)} 
+ \label{fig:gaugeLeeheyStreet} 
+ \end{figure} 
+ 
Index: /production/pt_hedland_2006/report/pt_hedland_2006_report.tex
===================================================================
--- /production/pt_hedland_2006/report/pt_hedland_2006_report.tex	(revision 3366)
+++ /production/pt_hedland_2006/report/pt_hedland_2006_report.tex	(revision 3366)
@@ -0,0 +1,159 @@
+
+% This is based on an automatically generated file (by make_report.py).
+%
+% Manual parts are:
+% * an abstract must be written in abstract.tex
+% * an introduction must be written in introduction.tex; a basic outline and
+%   some of the core inputs are already in place
+% * outline of the modelling methodology provided in modelling_methodology.tex
+% * the tsunami-genic event should be discussed in tsunami_scenario.tex
+% * an computational_setup.tex file needs to be written for the particular scenario
+% * the interpretation of the results needs to be written to interpretation.tex
+% * maximum inundation maps need to be included in HAT_map.tex and LAT_map.tex etc.
+% * damage modelling maps need to be included in HAT_damage and LAT_damage etc.
+% * a summary must be written into summary.tex
+% * metadata for the scenario data to be included in metadata.tex
+
+\documentclass{article}
+
+\usepackage{ae} % or {zefonts}
+\usepackage[T1]{fontenc}
+\usepackage[ansinew]{inputenc}
+\usepackage{amsmath}
+\usepackage{amssymb}
+\usepackage{graphicx}
+\usepackage{color}
+\usepackage[colorlinks]{hyperref}
+\usepackage{lscape} %landcape pages support
+\usepackage{setspace}
+\include{appendix}
+\setstretch{1.25}
+\topmargin 0pt
+\oddsidemargin 0pt
+\evensidemargin 0pt
+\marginparwidth 0.5pt
+\textwidth \paperwidth
+\advance\textwidth -2in
+
+
+\date{\today}
+%\author{Geoscience Australia}
+
+\begin{document}
+\title{
+\begin{figure}[hbt]
+  \centerline{ \includegraphics[scale=0.4]{../report_figures/GAlogo.jpg}}
+\end{figure}
+Tsunami impact modelling for the North West shelf: Pt Hedland} 
+  \maketitle
+
+    \section{Executive Summary}
+    \label{sec:execsum}
+  \input{execsum}
+
+  \tableofcontents
+  
+  \section{Introduction}
+    \label{sec:intro}
+  \input{introduction}
+
+   \section{Modelling methodology}
+    \label{sec:methodology}
+    \input{modelling_methodology}
+    
+  \section{Tsunami scenarios}
+    \label{sec:tsunamiscenario}
+    \input{tsunami_scenario}
+
+  \section{Data sources}
+    \label{sec:data}
+    \input{data}
+    
+   \section{Inundation model}
+    \label{sec:anuga}
+    \input{anuga}
+    \input{computational_setup}
+        
+  \section{Inundation modelling results}
+     \label{sec:results}
+         
+\begin{table} \begin{center} 
+\caption{Defined point locations for pt hedland study area.}
+\label{table:locations}
+\begin{tabular}{|l|l|l|l|}\hline
+\bf{Point Name} & \bf{Easting} & \bf{Northing} & \bf{Elevation}\\ \hline
+Hospital & 665984.49 & 7753480.95 & 14.56 \\ \hline 
+Effluent Water Ponds & 669402.20 & 7753721.98 & 5.13 \\ \hline 
+Tjalka Boorda Aboriginal Reserve & 669503.41 & 7753060.33 & 5.79 \\ \hline 
+Water Tanks & 669192.19 & 7752993.28 & 5.65 \\ \hline 
+Primary School & 670569.79 & 7754095.55 & 11.59 \\ \hline 
+Lacey Street & 670001.65 & 7754381.77 & 11.26 \\ \hline 
+Council Offices & 668403.96 & 7753665.67 & 13.81 \\ \hline 
+Richardson Street & 664865.60 & 7753496.96 & 8.94 \\ \hline 
+Tug Harbour & 664235.06 & 7753146.51 & -16.01 \\ \hline 
+No 1 Warf & 664223.98 & 7752869.02 & 6.63 \\ \hline 
+No 3 Warf & 664404.42 & 7752566.13 & 7.84 \\ \hline 
+Nelson Point Warf & 664801.12 & 7752365.82 & 8.55 \\ \hline 
+Helipad & 664518.41 & 7752877.95 & 6.83 \\ \hline 
+Mt Goldworthy Wharf - Berth & 664009.66 & 7753659.72 & -10.62 \\ \hline 
+Iron Ore Holdings & 662935.31 & 7754244.86 & 8.93 \\ \hline 
+Middle Channel & 665022.31 & 7754470.36 & -8.76 \\ \hline 
+Great Northern Hwy - Solar Salt Farm & 670773.09 & 7751099.43 & 5.32 \\ \hline 
+Est side Solar Salt Farm & 673193.31 & 7751012.09 & 4.18 \\ \hline 
+Airport & 670188.16 & 7745738.57 & 9.26 \\ \hline 
+Leehey Street & 665530.50 & 7747096.77 & 5.90 \\ \hline 
+\end{tabular} 
+  \end{center} 
+ \end{table} 
+ 
+\begin{figure}[hbt] 
+ \centerline{ \includegraphics[width=150mm, height=100mm]{../report_figures/pt_hedland_dli_gauge.jpg}}
+\caption{Point locations used for Port Hedland study.}  
+\label{fig:points}
+\end{figure}
+\input{interpretation} 
+\input{LAT_map} 
+ \clearpage 
+ 
+\input{MSL_map} 
+ \clearpage 
+ 
+\input{HAT_map} 
+ \clearpage 
+ 
+
+   \section{Impact modelling}
+    \label{sec:impact}
+     \input{damage}
+
+   \section{Impact due to data accuracy}
+     \input{discussion}
+     \label{sec:issues}
+
+     \section{Summary}
+     \input{summary}
+     
+    \input{references}
+
+    \appendix
+    
+   \section{Metadata}
+     \label{sec:metadata}
+     \input{metadata}
+
+\pagebreak
+
+   \section{Time series}
+     \label{sec:timeseries}
+\input{latexoutput} 
+ \clearpage 
+ 
+
+
+\pagebreak
+
+   \section{Damage modelling inputs}
+     \label{sec:damageinputs}
+     \input{damage_inputs}
+
+\end{document}