Index: /production/pt_hedland_2006/report/damage.tex
===================================================================
--- /production/pt_hedland_2006/report/damage.tex	(revision 3372)
+++ /production/pt_hedland_2006/report/damage.tex	(revision 3373)
@@ -90,6 +90,6 @@
 and would be therefore overlooked in damage model estimates.
 
-There are four indigeneous communities located in this study area as seen
-in \ref{fig:communities}. The community located in a potentially vulnerable 
+There are four indigeneous communities located in this study area.
+The community located in a potentially vulnerable 
 position
 (on the headland) is Tjalka Boorda whose population is not registered.
@@ -97,19 +97,11 @@
 During the HAT scenario, over ?m of water will inundate parts of the community causing significant impact?
 
-\begin{figure}[hbt]
-
-  \centerline{ \includegraphics[width=100mm, height=75mm]{../report_figures/pt_hedland_communities.png}}
-
-  \caption{Location of indigeneous communities in study area.}
-  \label{fig:communities}
-\end{figure}
-
 \begin{center}
-\begin{tabular}{|l|l|l|}\hline
+\begin{tabular}{|l|l|l|l|}\hline
 Easting	 & Northing	& Community	& Population \\ \hline
-677055.8541&	7742819.31&	 Tjalkli Warra&	100 \\ \hline
-690756.9171&	7746148.981&	 Jinparinya&	30 \\ \hline
-691091.3867&	7747119.611&	 Punju Ngarugundi Njamal&	22 \\ \hline
-669526.1521&    7752820.507& Tjalka Boorda	& 0 \\ \hline
+677055.85&	7742819.31&	 Tjalkli Warra&	100 \\ \hline
+690756.92&	7746148.99&	 Jinparinya&	30 \\ \hline
+691091.39&	7747119.61&	 Punju Ngarugundi Njamal&	22 \\ \hline
+669526.15&    7752820.51& Tjalka Boorda	& 0 \\ \hline
 \end{tabular}
 \end{center}
Index: /production/pt_hedland_2006/report/data.tex
===================================================================
--- /production/pt_hedland_2006/report/data.tex	(revision 3372)
+++ /production/pt_hedland_2006/report/data.tex	(revision 3373)
@@ -69,7 +69,6 @@
 have been clipped at the derived coastline. 
 Appendix \ref{sec:metadata} provides more details and the supporting metadata 
-for this study.
+for this study, including images of the data extent.
 Table \ref{table:data} summarises the available data for this study. 
-Figure \ref{fig:pthedlanddataarea} shows the offshore data indicating a number of gaps.
 
 \begin{table}
Index: /production/pt_hedland_2006/report/interpretation.tex
===================================================================
--- /production/pt_hedland_2006/report/interpretation.tex	(revision 3372)
+++ /production/pt_hedland_2006/report/interpretation.tex	(revision 3373)
@@ -63,5 +63,5 @@
 Groyne location (Figure ). 
 The speeds at west and east of Beadon Bay are quite similar
-(Figure } and Figure ). 
+(Figure and Figure ). 
 However, there are increased amplitudes (from drawdown to maximum 
 amplitude), in the eastern location which is in shallower water than the western 
@@ -91,8 +91,8 @@
 The tsunami wave penetrates the river east of Port Hedland with a wave height 
 over 2m at the mouth 
-(Figure \ref{fig:gaugeBeadonCreekmouth}) 
+(Figure ) 
 and inundation
 exceeding 1m found at the Beadon Creek south of dock location (Figure
-\ref{fig:gaugeBeadonCreeksouthofdock}).
+).
 The wave penetrates the river east of Port Hedland with increasingly
 greater inundation between the -1.5m AHD and 1.5m AHD simulations.
@@ -103,11 +103,11 @@
 the intersection with Beadon Creek Rd. Beadon Creek Rd services the wharf in the
 river which becomes increasingly inundated as the initial condition
-changes from 0m AHD to 1.5m AHD. Only the
+changes from 0m AHD to 3.9m AHD. Only the
 entry to the wharf on Beadon Creek Rd is sufficiently inundated to 
-stop traffic at -1.5m AHD. 
+stop traffic at -3.6m AHD. 
 At 1.5m AHD however, essentially the entire road would be impassable.
 
 There is significant inundation of at
-least 2m on the foreshore of Onslow for 0m AHD and 1.5m AHD.
+least 2m on the foreshore of Onslow for 0m AHD and 3.6m AHD.
 The inundation extent increases as the initial condition increases above 0m AHD, 
 reaching the southern boundaries of 
Index: /production/pt_hedland_2006/report/latexoutput.tex
===================================================================
--- /production/pt_hedland_2006/report/latexoutput.tex	(revision 3372)
+++ /production/pt_hedland_2006/report/latexoutput.tex	(revision 3373)
@@ -38,4 +38,5 @@
  \label{fig:gaugeWaterTanks} 
  \end{figure} 
+\clearpage
  
 \begin{figure}[hbt] 
@@ -78,5 +79,5 @@
  \label{fig:gaugeRichardsonStreet} 
  \end{figure} 
- 
+\clearpage 
 \begin{figure}[hbt] 
  \centering 
@@ -118,4 +119,5 @@
  \label{fig:gaugeNelsonPointWarf} 
  \end{figure} 
+\clearpage
  
 \begin{figure}[hbt] 
Index: /production/pt_hedland_2006/report/pt_hedland_2006_report.tex
===================================================================
--- /production/pt_hedland_2006/report/pt_hedland_2006_report.tex	(revision 3372)
+++ /production/pt_hedland_2006/report/pt_hedland_2006_report.tex	(revision 3373)
@@ -109,5 +109,5 @@
  
 \begin{figure}[hbt] 
- \centerline{ \includegraphics[width=150mm, height=100mm]{../report_figures/pt_hedland_dli_gauge.jpg}}
+ \centerline{ \includegraphics[width=150mm, height=100mm]{../report_figures/pt_hedland_gauge_map.jpg}}
 \caption{Point locations used for Port Hedland study.}  
 \label{fig:points}