Index: /production/pt_hedland_2006/report/damage.tex
===================================================================
--- /production/pt_hedland_2006/report/damage.tex	(revision 3379)
+++ /production/pt_hedland_2006/report/damage.tex	(revision 3380)
@@ -43,17 +43,19 @@
 district level derived from the ABS 2001 Census.
 
-There are an estimated
-? residential structures and a population of approximately ?
-in Port Hedland\footnote{Population is determined by census data and the 1999
+South Hedland is not exposed to inundation in this
+scenario, we therefore restrict the damage modelling to a smaller section of the NBED.
+For the damage modelling, there
+are an estimated 3700 residential structures and a population of approximately
+11500\footnote{Population is determined by census data and the 1999
 ABS housing survey}. 
-The damage to the residential structures in the Pt Hedland community
+The damage to the residential structures in this section of the Port Hedland community
 is summarised in Table \ref{table:damageoutput}. The percentage
 of repair cost to structural value shown is based on the total structural value
 of \$M. Likewise, the percentage of contents loss shown is
 based on the total contents value of \$M for
-the Onslow region. 
+the region. 
 %The injuries sustained is summarised in Table \ref{table:injuries}. 
 The HAT scenario is the only scenario to cause damage 
-to Onslow with around 10-15\% of the population affected. 
+to Port Hedland with around \% of the population affected. 
 
 \begin{table}[h]
@@ -90,20 +92,22 @@
 and would be therefore overlooked in damage model estimates.
 
-There are four indigeneous communities located in this study area.
-The community located in a potentially vulnerable 
+There are four indigeneous communities located in this study areal Tjalkli Warra, Jinparinya,
+Punju Ngarugundi Njamal and Tjalka Boorda.
+Tjalka Boorda is located in a potentially vulnerable 
 position
-(on the headland) is Tjalka Boorda whose population is not registered.
+(on the headland) whose population is not registered
+\footnote{get a reference from Anita}. 
+%The community is not affected for any of the scenarios (see Figure 
+%\ref{fig:gaugeTjalkaBoordaAboriginalReserve}).
 
-During the HAT scenario, over ?m of water will inundate parts of the community causing significant impact?
-
-\begin{center}
-\begin{tabular}{|l|l|l|l|}\hline
-Easting	 & Northing	& Community	& Population \\ \hline
-677055.85&	7742819.31&	 Tjalkli Warra&	100 \\ \hline
-690756.92&	7746148.99&	 Jinparinya&	30 \\ \hline
-691091.39&	7747119.61&	 Punju Ngarugundi Njamal&	22 \\ \hline
-669526.15&    7752820.51& Tjalka Boorda	& 0 \\ \hline
-\end{tabular}
-\end{center}
+%\begin{center}
+%\begin{tabular}{|l|l|l|l|}\hline
+%Easting	 & Northing	& Community	& Population \\ \hline
+%677055.85&	7742819.31&	 Tjalkli Warra&	100 \\ \hline
+%690756.92&	7746148.99&	 Jinparinya&	30 \\ \hline
+%691091.39&	7747119.61&	 Punju Ngarugundi Njamal&	22 \\ \hline
+%669526.15&    7752820.51& Tjalka Boorda	& 0 \\ \hline
+%\end{tabular}
+%\end{center}
 
 
Index: /production/pt_hedland_2006/report/interpretation.tex
===================================================================
--- /production/pt_hedland_2006/report/interpretation.tex	(revision 3379)
+++ /production/pt_hedland_2006/report/interpretation.tex	(revision 3380)
@@ -35,4 +35,6 @@
 \end{center}
 \end{table}
+
+{\bf this needs to reflect what happens for port hedland}
 
 Examining the offshore locations shown in Appendix 
Index: /production/pt_hedland_2006/report/introduction.tex
===================================================================
--- /production/pt_hedland_2006/report/introduction.tex	(revision 3379)
+++ /production/pt_hedland_2006/report/introduction.tex	(revision 3380)
@@ -29,5 +29,5 @@
 Subsequent assessments will use refined hazard models with
 associate return rates for other localities, as advised by FESA.
-Pt Hedland has a population of around 42000 (including South Hedland) and
+Port Hedland has a population of around 42000 (including South Hedland) and
 is part of the Pilbara region of Western Autralia
 \footnote{http://www.porthedland.wa.gov.au/}. Pt Hedland itself has a 