Index: /production/onslow_2006/report/anuga.tex
===================================================================
--- /production/onslow_2006/report/anuga.tex	(revision 3401)
+++ /production/onslow_2006/report/anuga.tex	(revision 3402)
@@ -14,5 +14,5 @@
 according to areas of interest and that wetting and drying
 is treated robustly as part of the numerical scheme.}. 
-ANUGA is continually being developed and validated to ensure
+ANUGA is continually being refined and validated to ensure
 the modelling approximations are as accurate as possible.
 However, model sensitivity to errors in bathymetric data, 
@@ -43,4 +43,4 @@
 thus it has not been incorporated
 in the scenario. The 
-results are therefore likely to be over estimations.
+results are therefore likely to be over estimates.
 
Index: /production/onslow_2006/report/computational_setup.tex
===================================================================
--- /production/onslow_2006/report/computational_setup.tex	(revision 3401)
+++ /production/onslow_2006/report/computational_setup.tex	(revision 3402)
@@ -1,39 +1,48 @@
 To set up a model for the tsunami scenario, a study area is first 
-determined. Preliminary investigations have indicated the point
-at which the output from MOST is the input to ANUGA is
-sufficient at the 100m bathymetric contour line\footnote{ 
+determined. Preliminary investigations have indicated that the
+output from MOST should be input to ANUGA 
+at the 100m water depth\footnote{ 
 Preliminary investigations indicate that MOST and ANUGA compare
-well at the 100m contour line. In addition, the resolution for
-the MOST modelling indicate that it can theoretically model 
-tsunamis with a wavelength of 20-30km, and the wavelength of
-the tsunami wave at the boundary is approximately 20km. A much
+well at a water depth of 100 m. In addition, the resolution for
+the MOST modelling indicate that it can theoretically model a
+tsunami wave with a wavelength of 20-30 km. The wavelength of
+the tsunami wave at the boundary in this scenario is approximately 20 km. A much
 higher model resolution will be used in developing the probabilistic
-models for further studies.}. Historical run-up heights are 
-of the order of 10m and we would expect that a tsunami wave
-would penetrate no higher for this scenario.
+models for further studies so that tsunami waves with shorter wavelengths
+can be captured.}. Historical run-up heights are 
+of the order of 10 m and we would expect that a tsunami wave
+would penetrate no higher for this scenario, hence we have
+bounded our study region at 10m elevation.
 Current computation requirements define a coastline
-extent of around 100km. Therefore, the study area of around 6300 km$^2$ 
-covers approximately 100km of
+extent of around 100 km. Therefore, the study area of around 6300 km$^2$ 
+covers approximately 100 km of
 coastline and extends offshore to the 100m contour line and inshore to 
 approximately 10m elevation. 
 
-The finite volume technique relies on the construction of a triangular mesh which covers the study region. This mesh can be altered to suit the needs of the scenario in question. The mesh can be refined in areas of interest, particularly in the coastal region where complex behaviour is likely to occur. In setting up the model, the user defines the area of the triangular cells in each region of interest\footnote{Note that the cell 
+The finite volume technique relies on the construction of a triangular mesh which covers the study region. 
+This mesh can be altered to suit the needs of the scenario in question. The mesh can be refined in areas of 
+interest, particularly in the coastal region where complex behaviour is likely to occur. 
+In setting up the model, the user defines the area of the triangular cells in each region of interest\footnote{Note that the cell 
 area will be the maximum cell area within the defined region and that each 
 cell in the region does not necessarily have the same area.}.
-The area should not be too small as to exceed realistic computational time, and not too great as to inadequately capture important behaviour. There are no gains in choosing the area to be less than the supporting data.
-Figure \ref{fig:onslow_area} shows the study area and where further mesh refinement has been made. For each region, a maximum triangular cell area is defined and its associated lateral accuracy.
-With these cell areas, the study area consists of 401939 triangles
-in which water levels and momentums are tracked through time. The lateral accuracy refers to the distance at which we are confident in stating a region is inundated. Therefore we can only be confident in the calculated inundation extent in the Onslow town centre to within 30m.
+The cell areas should not be too small as this will cause unrealisticly long computational time, 
+and not too great as this may inadequately capture important behaviour. 
+%There are no gains in choosing the area to be less than the supporting data.
+Figure \ref{fig:onslow_area} shows the study area with regions of difference cell areas. The total number
+of cells is 401939. 
+Lateral accuracy refers to the distance at which we are confident in stating a region is inundated. 
+Figure \ref{fig:onslow_area} shows the maximum triangular cell area and lateral accuracy for each region. 
+Therefore we can only be confident in the calculated inundation extent in the Onslow town centre to within 30 m.
+
 
 \begin{figure}[hbt]
 
-  \centerline{ \includegraphics[scale=0.15]
-             {../report_figures/onslow_resolution_zones.jpg}}
+  \centerline{ \includegraphics[scale=0.15]{../report_figures/onslow_resolution_zones.jpg}}
 
   \caption{Study area for Onslow scenario highlighting four regions of increased refinement.
-Region 1: Surrounds Onslow town centre with a cell area of 500 m$^2$ (lateral accuracy 30m).
-Region 2: Surrounds the coastal region with a cell area of 2500 m$^2$ (lateral accuracy 70m).
-Region 3: Water depths to the 50m contour line (approximately) with a cell area of 20000 m$^2$ (lateral accuracy 200m).
-Region 4: Water depths to the boundary (approximately 100m contour line) with a cell area of 100000 m$^2$ (lateral accuracy 445m).
+Region 1: Surrounds Onslow town centre with a cell area of 500 m$^2$ (lateral accuracy 30 m).
+Region 2: Surrounds the coastal region with a cell area of 2500 m$^2$ (lateral accuracy 70 m).
+Region 3: Water depths to the 50m contour line (approximately) with a cell area of 20000 m$^2$ (lateral accuracy 200 m).
+Region 4: Water depths to the boundary (approximately 100m contour line) with a cell area of 100000 m$^2$ (lateral accuracy 445 m).
 }
   \label{fig:onslow_area}
Index: /production/onslow_2006/report/damage.tex
===================================================================
--- /production/onslow_2006/report/damage.tex	(revision 3401)
+++ /production/onslow_2006/report/damage.tex	(revision 3402)
@@ -11,7 +11,9 @@
 residential collapse vulnerability models and casualty models were developed.
 The vulnerability models have been developed for 
-framed residential construction using data from the Indian Ocean tsunami event. The models predict the collapse 
+framed residential construction based on limited data found in the literature
+as well as observations from the Indian Ocean tsunami event. 
+The models predict the collapse 
 probability for an exposed population and incorporates the following 
-parameters known to influence building damage \cite{papathoma:vulnerability},
+parameters thought to influence building damage \cite{papathoma:vulnerability},
 
 \begin{itemize}
@@ -41,5 +43,11 @@
 and the injury categories are presented in Table \ref{table:injury}. 
 Input data comprised of resident population data at census
-district level derived from the ABS 2001 Census.
+district level derived from the ABS 2001 Census. Give the exposure database is
+based on residential structures, we assume that the
+population are at home and sleeping when the event occurs and that there is no
+warning. Therefore, the casualty estimates would be significantly different
+if the event were to occur during the day when people are at work, travelling
+in a vehicle, spending time on the beach, for example, or if the event occurred
+during a major holiday season.
 
 There are an estimated
@@ -52,5 +60,5 @@
 of \$71M. Likewise, the percentage of contents loss shown is
 based on the total contents value of \$101M for
-the Onslow region. 
+the Onslow region\footnote{These values are based on 2003 figures.}. 
 The injuries sustained is summarised in Table \ref{table:injuries}. 
 The HAT scenario is the only scenario to cause damage 
@@ -65,7 +73,7 @@
 &Inundated & Collapsed & Repair Cost 
 & of Total Value & Losses & of Total Value \\ \hline
-%MSL & & 1 & \$ &   \% & \$ &  \% \\ \hline
 HAT & 100 &2&\$8M & 11\%&\$16M & \%16 \\ \hline
-%LAT & & & & & & \\ \hline
+MSL & & 1 & \$ &   \% & \$ &  \% \\ \hline
+LAT & & & & & & \\ \hline
 \end{tabular}
 \end{center}
@@ -78,7 +86,7 @@
 \begin{tabular}{|l|l|l|l|l|l|}\hline
 &Minor & Moderate & Serious & Fatal \\ \hline
-#MSL & &  &  & \\ \hline
-HAT & > 50 & < 50 & < 50 & < 50 \\ \hline
-#LAT & & & & \\ \hline
+HAT & 10's & 10's & 10's & 10's \\ \hline
+MSL & &  &  & \\ \hline
+LAT & & & & \\ \hline
 \end{tabular}
 \end{center}
@@ -86,5 +94,5 @@
 
 Tsunami impact on indigeneous communities should be considered
-especially as a number of communities exist in coastal regions of north west WA.
+in the future as a number of communities exist in coastal regions of north west WA.
 These communities are typically not included in national residential databases 
 and would be therefore overlooked in damage model estimates.
Index: /production/onslow_2006/report/data.tex
===================================================================
--- /production/onslow_2006/report/data.tex	(revision 3401)
+++ /production/onslow_2006/report/data.tex	(revision 3402)
@@ -1,7 +1,8 @@
-The calculated run-up height and resulting inundation ashore is determined by
+The calculated run-up height and resulting inundation ashore is controlled by
 the input topographic and bathymetric elevation, the
 initial and boundary conditions, as well as the cell area of the computational
 mesh. 
-Ideally, the data should adequately capture all complex features
+Ideally, the topographic and bathymetric data
+should adequately capture all complex features
 of the underlying bathymetry and topography. Any limitations
 in the resolution and accuracy of the data will introduce 
@@ -14,11 +15,5 @@
 and Lowest Astronomical Tide (LAT) defined as 1.5m AHD
 and -1.5m AHD respectively for Onslow \cite{antt:06}. 
-These values are tidal
-predictions based on continous tidal observations from Standard Ports
-over a period of
-at least one year, with the Australian Hydrographic Service
-recommending this be extended to three years to capture
-changes to the mean sea level. Onslow is listed as
-a Standard Port. As an aside, current work at GA is
+As an aside, current work at GA is
 extracting information from LANDSAT imagery to reconstruct the 
 tidal variations for various WA locations. Future modelling of
@@ -36,4 +31,23 @@
 DLI data is distorted by vegetation and buildings.  
 
+With respect to the offshore data, the Department of Planning and
+Infrastructure (DPI) have provided state digital fairsheet data around
+Onslow. This data covers a very small geographic area. 
+Similar data have been provided by DPI for Pt Hedland and Broome.
+The Australian Hydrographic Office (AHO) has supplied extensive
+fairsheet data which has also been utilised. In contrast to the onshore data, 
+the offshore data is a series of survey points which is typically 
+not supplied on a fixed grid. In addition, offshore data typically 
+does not have the coverage of the onshore data, and often the 
+offshore data will have gaps where surveys have not been conducted.
+The coastline has been generated by
+using the aerial photography, two detailed surveys provided
+by WA DPI and a number of total station surveys \footnote{Total station survey information
+has been used to verify the elevation data. A total station is an
+electronic device that combines the ability to measure a position 
+horizontally and vertically at the same time.} of Onslow. 
+The WA DLI data surrounding the coast are error prone and
+have been clipped at the derived coastline. 
+
 Figure \ref{fig:contours_compare}(a) shows the contour lines for
 HAT, MSL and LAT for Onslow using the DTED data where it is evident 
@@ -41,14 +55,13 @@
 parts of Onslow town appears to be inundated at HAT before a tsunami has
 even been generated. This is due to
-short comings with the digital elevation model (DEM) created from 
+shortcomings with the digital elevation model (DEM) created from 
 the DTED data. 
 Figure \ref{fig:contours_compare}(b) shows
 the contour lines for HAT, MSL and LAT for Onslow using the WA DLI data.
 It is obvious that there are significant differences in each DEM with
-total station survey information and the knowledge
+the total station survey information and the knowledge
 of the HAT contour line pointing to increased confidence in the WA DLI
 data over the DTED data for use in the inundation modelling.
-The impact difference based on these two onshore data sets 
-will be discussed in Section \ref{sec:issues}.
+Consequently the DLI data has been used in this study.
 
 
@@ -75,15 +88,5 @@
 \end{figure}
 
-With respect to the offshore data, the Department of Planning and
-Infrastructure (DPI) have provided state digital fairsheet data around
-Onslow. This data cover only a very small geographic area. (Note,
-similar data have been provided by DPI for Pt Hedland and Broome.) 
-The Australian Hydrographic Office (AHO) has supplied extensive
-fairsheet data which has also been utilised. In contrast to the onshore data, the offshore data is a series of survey points which is typically not supplied on a fixed grid. In addition, offshore data typically does not have the coverage of the onshore data, and often the offshore data will have gaps where surveys have not been conducted.
-The coastline has been generated by
-using the aerial photography, two detailed surveys provided
-by WA DPI and a number of total station surveys of Onslow. 
-The WA DLI data surrounding the coast are error prone and
-have been clipped at the derived coastline. 
+
 Appendix \ref{sec:metadata} provides more details and the supporting metadata 
 for this study, including images of the data extent.
@@ -95,5 +98,5 @@
 \begin{center}
 \begin{tabular}{|l|l|}\hline
-Data & Detail \\ \hline 
+Data & Specifications \\ \hline 
 DIGO DTED Level 2  & Onshore, 1 second $\approx$ 30m \\ \hline 
 DLI & Onshore, 20m DEM and orthophotography \\ \hline
Index: /production/onslow_2006/report/execsum.tex
===================================================================
--- /production/onslow_2006/report/execsum.tex	(revision 3401)
+++ /production/onslow_2006/report/execsum.tex	(revision 3402)
@@ -2,8 +2,8 @@
 (FESA) as part of the Collaborative Research Agreement (CRA) 
 with Geoscience Australia (GA).
-FESA recognises the potential vulnerability of the Western Australia
-coastline to tsunamigenic earthquakes originating from 
-the Sunda Arc subduction zone that caused the December 2004 event. 
-There is historic evidence of tsunami events affecting the 
+FESA has recognised the potential vulnerability of the Western Australia
+coastline to tsunami originating from earthquakes on
+the Sunda Arc subduction zone. 
+There is historic evidence of tsunami affecting the 
 Western Australia coastline, \cite{CB:ausgeo}, 
 and FESA has sought to assess
@@ -11,6 +11,6 @@
 threat and develop detailed response plans for a range of plausible events.
 
-This report describes the modelling methodology and first results
-for a particular tsunami-genic event as it impacts the Onslow township
+This report describes the modelling methodology and initial results
+for a specific tsunami-genic event as it impacts the Onslow township
 and its surrounds. Future studies
 will present a series of scenarios for a range of return periods to 
@@ -18,4 +18,4 @@
 This report and the decision support tool are the 
 June 2006 deliverables of the Collaborative Research Agreement
-between FESA and GA.
+between FESA and GA, Tsunami Impact Modelling for WA .
 
Index: /production/onslow_2006/report/introduction.tex
===================================================================
--- /production/onslow_2006/report/introduction.tex	(revision 3401)
+++ /production/onslow_2006/report/introduction.tex	(revision 3402)
@@ -1,11 +1,11 @@
-The Fire and Emergency Services Authority of Western Australia (FESA) and 
+The Fire and Emergency Services Authority (FESA) of Western Australia  and 
 associated volunteers respond to a wide range of emergencies 
 as well as undertaking search and rescue operations on land and 
 water\footnote{http://www.fesa.wa.gov.au/internet/}. 
+FESA helps the West Australian 
+community prepare, prevent (where possible) and respond safely to disasters.
 FESA also aims to reduce injury, loss of life and destruction of property in 
 Western Australian communities through proactive measures. 
-FESA helps the West Australian 
-community prepare, prevent (where possible) and respond safely to disasters.
-These risk mitigation activities involve understanding the relative risk
+These measures involve understanding the relative risk
 of the disaster so that resources can be directed to appropriate areas
 and corresponding evacuation plans put in place.  
@@ -24,8 +24,9 @@
 This report is the first in a series of tsunami assessments 
 of the North West Shelf. The scenario used for this study has
-an unknown return period, but considered a plausible event (see
+an unknown return period, but is considered a plausible event (see
 Section \ref{sec:tsunamiscenario}). 
 Subsequent assessments will use refined hazard models with
-associate return rates for other localities, as advised by FESA.
+associate return periods. A suite of assessments will be
+made for Onslow and other localities, as advised by FESA.
 
 Onslow has a population of around 800 and
@@ -37,5 +38,5 @@
 
 The modelling technique to simulate the 
-impact ashore will be discussed in Section \ref{sec:anuga} and data inputs
+impact ashore is discussed in Section \ref{sec:methodology} and data inputs
 discussed in Section \ref{sec:data}. 
 The inundation results are presented and discussed in Section \ref{sec:results} 
Index: /production/onslow_2006/report/modelling_methodology.tex
===================================================================
--- /production/onslow_2006/report/modelling_methodology.tex	(revision 3401)
+++ /production/onslow_2006/report/modelling_methodology.tex	(revision 3402)
@@ -3,6 +3,4 @@
 by a range of rapid onset natural hazards. Through the integration of natural hazard research, defining national exposure and 
 estimating socio-economic vulnerabilities, predictions of the likely impacts of events can be made. 
-Hazards include earthquakes, landslides, tsunami, severe winds and cyclones.
-
 By modelling the likely impacts on urban communities as accurately as possible and
 building these estimates into land use planning and emergency
@@ -28,5 +26,7 @@
 The hazard itself is then reported as a maximum wave height at a fixed contour line near the coastline, 
 (e.g. 50m). This is how the preliminary tsunami hazard assessment was reported by GA 
-to FESA in September 2005 \cite{BC:FESA}. The assessment used the Method of Splitting Tsunamis (MOST)
+to FESA in September 2005 \cite{BC:FESA} for a suite of Mw 9 earthquakes
+evenly spaced along the Sunda Arc subduction zone. 
+The assessment used the Method of Splitting Tsunamis (MOST)
 \cite{VT:MOST} model. 
 %The maximal wave height at a fixed contour line near the coastline
@@ -60,6 +60,6 @@
 
 \bigskip %FIXME (Ole): Should this be a subsection even? 
-The risk of the scenario tsunami event cannot be determined until the 
-likelihood of the event is known. GA is currently building a 
+The risk of a given tsunami scenario cannot be determined until the 
+likelihood of the tsunami is known. GA is currently building a 
 complete probabilistic hazard map which is due for completion 
 in late 2006. We therefore report on the impact of a single 
@@ -67,4 +67,29 @@
 will be assessed for a range of events which will ultimately 
 determine a tsunami risk assessment for the NW shelf.
+
+FESA is interested in the ``most frequent worst case scenario''. Whilst
+we currently cannot determine exactly what that event may be, the
+preliminary hazard assessment suggested that the maximum
+magnitude of earthquakes off Java was considered to be at 
+least 8.5 and could potentially be as high as 9. Therefore, 
+the Mw 9 event 
+provides a plausible worst case scenario and is used as the tsunami
+source in this report.
+Figure \ref{fig:mw9} shows the maximum wave height of a tsunami initiated 
+by a Mw 9 event off
+the coast of Java. This event provides the source and
+boundary condition to the
+inundation model presented in Section \ref{sec:anuga}. 
+
+\begin{figure}[hbt]
+
+  \centerline{ \includegraphics[width=140mm, height=100mm]
+{../report_figures/mw9.jpg}}
+
+  \caption{Maximum wave height (in cms) for a Mw 9 event off the 
+coast of Java}
+  \label{fig:mw9}
+\end{figure}
+
 %To model the
 %details of tsunami inundation of a community one must therefore capture %what is 
Index: /production/onslow_2006/report/summary.tex
===================================================================
--- /production/onslow_2006/report/summary.tex	(revision 3401)
+++ /production/onslow_2006/report/summary.tex	(revision 3402)
@@ -3,5 +3,5 @@
 occurring at Highest Astronomical Tide, Lowest Astronomical Tide
 and Mean Sea Level. 
-There is no knowledge of the return period for this event. The
+As yet, there is no knowledge of the return period for this event. The
 modelling methodology, assumptions and data sources for the Onslow 
 scenario have also been described. 
Index: /production/onslow_2006/report/tsunami_scenario.tex
===================================================================
--- /production/onslow_2006/report/tsunami_scenario.tex	(revision 3401)
+++ /production/onslow_2006/report/tsunami_scenario.tex	(revision 3402)
@@ -33,5 +33,5 @@
 \begin{figure}[hbt]
 
-  \centerline{ \includegraphics[width=100mm, height=75mm]
+  \centerline{ \includegraphics[width=140mm, height=100mm]
 {../report_figures/mw9.jpg}}
 