Index: /production/onslow_2006/report/damage.tex
===================================================================
--- /production/onslow_2006/report/damage.tex	(revision 3403)
+++ /production/onslow_2006/report/damage.tex	(revision 3404)
@@ -56,5 +56,6 @@
 ABS housing survey}. 
 The damage to the residential structures in the Onslow community
-is summarised in Table \ref{table:damageoutput}. The percentage
+is summarised in Table \ref{table:damageoutput}. As expected, the
+greatest impact is found for the high tide scenario. The percentage
 of repair cost to structural value shown is based on the total structural value
 of \$71M. Likewise, the percentage of contents loss shown is
@@ -73,7 +74,7 @@
 &Inundated & Collapsed & Repair Cost 
 & of Total Value & Losses & of Total Value \\ \hline
-HAT & 100 &2&\$8M & 11\%&\$16M & \%16 \\ \hline
-MSL & & 1 & \$ &   \% & \$ &  \% \\ \hline
-LAT & & & & & & \\ \hline
+HAT & 100 &2&\$8M & 11\%&\$16M & 16 \% \\ \hline
+MSL & 0 & 0 & \$0 &   & \$0 &  \\ \hline
+LAT & 0 & 0 & \$0 &   & \$0 & \\ \hline
 \end{tabular}
 \end{center}
@@ -87,6 +88,6 @@
 &Minor & Moderate & Serious & Fatal \\ \hline
 HAT & 10's & 10's & 10's & 10's \\ \hline
-MSL & &  &  & \\ \hline
-LAT & & & & \\ \hline
+MSL & 0& 0 & 0 &0 \\ \hline
+LAT & 0&0 & 0& 0\\ \hline
 \end{tabular}
 \end{center}
@@ -96,10 +97,12 @@
 in the future as a number of communities exist in coastal regions of north west WA.
 These communities are typically not included in national residential databases 
-and would be therefore overlooked in damage model estimates.
+and would be therefore overlooked in damage model estimates
+We can confirm that Bindi Bindi is not contained in the NBED.
 There is one indigeneous community located in this study area as seen
-in Figure
-\ref{fig:points}. The population of the Bindibindi community is 140 
+in Figure \ref{fig:points}. 
+The population of the Bindibindi community is 140 
 (18 \% of the Onslow population)
 and is situated close to the coast as seen in Figure \ref{fig:points}.
-During the HAT scenario, over 1m of water will inundate parts of the community (Figure 
-\ref{fig:gaugeBindiBindiCommunity}) causing significant impact.
+During the HAT scenario, over 1 m of water will inundate parts of the community (Figure 
+\ref{fig:gaugeBindiBindiCommunity}) which would cause 
+significant impact.
Index: /production/onslow_2006/report/execsum.tex
===================================================================
--- /production/onslow_2006/report/execsum.tex	(revision 3403)
+++ /production/onslow_2006/report/execsum.tex	(revision 3404)
@@ -13,9 +13,22 @@
 This report describes the modelling methodology and initial results
 for a specific tsunami-genic event as it impacts the Onslow township
-and its surrounds. Future studies
+and its surrounds. In particular, maximum inundation maps are shown
+and discussed 
+for the event occurring at mean sea level as well as 
+highest and lowest astronomical tide. The inundation results allow
+estimation of the number of houses inundated and collapsed, as well as
+the numbers of persons affected. The Onslow township has approximately
+350 residential structures and a population of around 800.
+For this specific event at high tide, approximately
+100 houses are inundated with two of those collapsing. Approximately
+15-20\% of the population will sustain injuries, including fatalities.
+
+Future studies
 will present a series of scenarios for a range of return periods to 
-assist FESA in developing appropriate plans for a range of event impacts. 
+assist FESA in developing appropriate plans for a range of event impacts.
+This will also allow an assessment of the relative tsunami risk 
+to communities along the NW Shelf of WA. 
 This report and the decision support tool are the 
-June 2006 deliverables of the Collaborative Research Agreement
-between FESA and GA, Tsunami Impact Modelling for WA .
+June 2006 deliverables of the Collaborative Research Agreement,
+Tsunami Impact Modelling for WA, between FESA and GA.
 
Index: /production/onslow_2006/report/interpretation.tex
===================================================================
--- /production/onslow_2006/report/interpretation.tex	(revision 3403)
+++ /production/onslow_2006/report/interpretation.tex	(revision 3404)
@@ -1,22 +1,35 @@
 The main features of the
-tsunami wave and resultant impact ashore is described in this section. 
+tsunami wave and resultant inundation ashore is described in this section. 
 We have
-chosen a number of locations which we believe would be critical
-in an emergency situation, such as the hospital and power station; or
-effect recovery efforts, such as the airport and docks. These locations
+chosen a number of locations to illustrate the features
+of the tsunami as it approaches Onslow and runs ashore.
+These locations have be chosen as we believe they would 
+either be critical
+in an emergency situation, (e.g. the hospital and power station) or
+effect recovery efforts, (e.g. the airport and docks). These locations
 are described in Table \ref{table:locations} and shown in 
-Figure \ref{fig:points}. The water's stage and speed are shown
+Figure \ref{fig:points}. The water's stage and speed 
+at each of these locations are shown
 as a function of time in the series of graphs shown in
-Appendix \ref{sec:timeseries}. Stage is defined as the absolute
-water level relative to AHD. Both stage and speed are shown
+Appendix \ref{sec:timeseries}. It is assumed that the earthquake is
+generated at the beginning of the simulation, i.e. time = 0 minutes.
+Stage is defined as the absolute
+water level (in metres) relative to AHD 
+\footnote{For an offshore location such as Beadon Bay West,
+the initial water level will be that of the tidal scenario. In the 
+case of MSL, this water level will be 0. As the tsunami wave moves
+through this point, the water height may grow and thus the stage will represent the amplitude of the wave. For an onshore location such as the Light Tower, the actual water depth will be the difference between
+the stage and the elevation at that point. Therefore, at the beginning
+of the simulation, there will be no water onshore and therefore
+the stage and the elevation will be identical.}. Both stage and speed 
+(in metres/second) for
+each scenario (HAT, MSL and LAT) are shown
 on consistent scales to allow comparison between point locations.
-%The graphs show these time series for
-%the three cases; 1.5m AHD, 0m AHD and -1.5m AHD so that comparisons can
-%be made. 
 As a useful benchmark, Table \ref{table:speedexamples}
-describes typical examples for a range of velocities found in the 
+describes typical examples for a range of speeds found in the 
 simulations. 
 
-\begin{table}
+\begin{table}[h]
+\label{table:speedexamples}
 \begin{center}
 \caption{Examples of a range of velocities.}
@@ -36,79 +49,109 @@
 \end{table}
 
-Examining the offshore locations shown in Appendix 
-\ref{sec:timeseries}, the drawdown prior to the tsunami wave 
-arriving at the shore can be seen to occur around 230 mins  
-(3.8 hours) after the tsunami is generated. 
-Prior to the drawdown, maximum amplitudes are approximately 50cm at 
-West of Groyne (Figure \ref{fig:gaugeWestofGroyne}) and 
-the mouth of Beadon Creek
-(Figure \ref{fig:gaugeBeadonCreekmouth}), for example. 
-The first wave 
-after the drawdown ranges from approximately 2m in the 
-west of Beadon Bay (Figure \ref{fig:gaugeBeadonBaywest})
-to over 3m in the mouth of Beadon Creek
-(Figure \ref{fig:gaugeBeadonCreekmouth}). 
-The speed 
-sharply increases at drawdown with further increases as the 
-wave grows in amplitude. 
-There is an increased amplitude of approximately 4m found in 
-east of Beadon Bay for the secondary wave, as opposed to the first wave. 
-This feature is also evident at the West of Groyne location but
-with decreased amplitude. 
-This may be due to the geography of the bay, including the groyne west of 
-the creek mouth opening, the local bathymetry
-and the direction of the tsunami wave. 
+A tsunami wave typically has a low amplitude and typically travels at 100's of kilometres per hour. The low amplitude complicates the ability to detect
+the wave. As the water depth decreases, the speed of the wave 
+decreases and the amplitude grows. Another important feature of tsunamis 
+is drawdown. This means that the water is seen to retreat from the beaches
+before a tsunami wave impacts that location. Other features 
+include reflections (where the wave is redirected due to the influence
+of the coast) and shoaling (where the wave's amplitude increases ...).
 
-The maximum speed found for the offshore locations occur at the West of 
-Groyne location (Figure \ref{fig:gaugeWestofGroyne}). 
-The speeds at west and east of Beadon Bay are quite similar
-(Figure \ref{fig:gaugeBeadonBayeast} and Figure \ref{fig:gaugeBeadonBaywest}). 
-However, there are increased amplitudes (from drawdown to maximum 
-amplitude), in the eastern location which is in shallower water than the western 
-location.
-Subsequent drawdowns are seen as the multitude of waves which make up the 
-event propagate towards the shore. 
+These features are seen in these scenarios, and are consistent
+for HAT, MSL and LAT. There is a small wave, followed
+by a large drawdown and then a large secondary wave. These 
+features are illustrated in Figure \ref{fig:gaugeBeadonBayeest}
+where a small wave can be seen at around 200 mins. For the HAT
+case (shown in blue), the amplitude
+of the wave at this location is around 0.5 m\footnote{In this
+scenario, the initial water level is 1.5 m, which means that
+the actual amplitude is the difference between the stage value
+and the initial water level; 2.? - 1.5).
+The drawdown of around 4 m (i.e. 2.? - -2) then occurs at around 230 mins
+(i.e. 3.8 hours after the event has been generated), before
+the second wave arrives with an amplitude of over 3 m (i.e. 4.? -
+-1.5). A further wave
+is then evident a short time later (around 270 mins) 
+which further increases the amplitude to over 4.5 m (i.e. 6.? - -1.5).
+These features are replicated at each of the offshore points (those
+points with negative elevation as shown in Table \ref{table:locations}).
 
-%At some gauge locations, these 
-%subsequent waves cause significantly increased inundation than that of 
-%the first wave. This is particularly seen at the Beadon Creek Docks, 
-%West of Groyne and Beadon Creek locations.
+The wave amplitude is typically greater
+for those locations which are in the shallowest water. For example,
+the maximum wave amplitude at the Beadon Bay East location 
+(Figure \ref{fig:gaugeBeadonBayeast}) is over
+4.5m where the water depth would normally be 3.56 m. In the 
+Beadon Bay West location (Figure \ref{fig:gaugeBeadonBaywest})
+where the water depth would normally be 4.62 m, 
+the maximum wave amplitude is much less (around 3 m). The wave amplitude
+at the West of Groyne location (Figure \ref{fig:gaugeWestofGroyne})
+is not greater than that seen
+at the Beadon Bay East location, even though the water depth is 
+much less, at 2.11m. This is probably due to its proximity
+to the groyne\footnote{A groyne is a man made structure to combat
+coastal erosion.}
+which has impeded the tsunami wave to some degree. However, the 
+maximum speed found amongst the locations is at the West of Groyne
+point which is in the shallowest water.
 
-It is evident that the sand dunes west of 
-Onslow are very effective in halting the tsunami wave,
-(see Figure \ref{fig:MSL_max_inundation}). 
-There is inundation between the western sand dunes at high 
-tide, Figure \ref{fig:HAT_max_inundation}, however, this water 
-penetrates from the north east (via
-Onslow town centre) rather than seaward. (The DEM indicates that 
-this area is under 1.5m AHD which is automatically deemed to be inundated
-at HAT.)
-The same feature is evident for the sand dunes east of Onslow. 
+The speed of the tsunami sharply increases as it moves onshore. There
+is minimal inundation found at the locations chosen, with the Bindi Bindi
+community receiving the greatest inundation for all tidal scenarios.
+At HAT, the community would receive over 1 m of inundation with 
+the water moving through the community at approximately 16 m/s. Referring
+to Table \ref{table:speedexamples}, a person in this location could
+not outrun this water movement. A small amount of water is found
+at the hospital (? cm). Whilst this seems minimal, the water is moving 
+at around 6 m/s which could dislodge items such as trolleys and 
+wheelchairs if the water was able to enter the hospital.
+ 
+The geography of the Onslow area has played a role in offering
+some protection to the Onslow community. The tsunami wave is 
+travelling from the north west of the area. Most of
+the inundation along the coast is that which is open to this
+direction.  
+The sand dunes west of Onslow 
+appear to have halted this tsunami wave
+(see Figure \ref{fig:MSL_max_inundation}) with limited
+inundation found on the town's side of the dunes.
+The inundation within the community has occurred due to the
+wave reflecting from the beach area west of the creek and
+returning towards the Onslow town itself.  
+There are also sand dunes east of the creek which have also
+halted inundation beyond them. 
 Currently, we do not model changes 
 to the bathymetry or topography due to effects of the water flow. 
 Therefore, we do not know whether these sand dunes would withstand the
 transmitted energy of the tsunami wave. 
-The tsunami wave penetrates the river east of Onslow with a wave height 
-over 2m at the mouth 
-(Figure \ref{fig:gaugeBeadonCreekmouth}) 
-and inundation
-exceeding 1m found at the Beadon Creek south of dock location (Figure
-\ref{fig:gaugeBeadonCreeksouthofdock}).
-The wave penetrates the river east of Onslow with increasingly
-greater inundation between the -1.5m AHD and 1.5m AHD simulations.
 
-As expected, there is greater inundation at 1.5m AHD. The major road
+Water features such as rivers, creeks and estuaries also play a role
+in the inundation extent.
+The tsunami wave penetrates the creek east of Onslow with a wave height 
+over 2 m at the mouth 
+(Figure \ref{fig:gaugeBeadonCreekmouth}) for the HAT scenario.
+Inundation exceeds 1 m at the Beadon Creek south of dock location (Figure
+\ref{fig:gaugeBeadonCreeksouthofdock}) suggesting that the wave's 
+energy dissipates as inundation overflows from the creek. A large
+tidal flat region surrounds the southern parts of the creek and
+it is evident that the inundation is essentially caught in this
+area.
+
+As expected, there is greater inundation at HAT with increased
+extent. The major road
 into Onslow, the Onslow Mount Stuart Rd, remains free of inundation for
-all simulations with a small amount of inundation evident at HAT at
+all tidal scenarios with a small amount of inundation evident at HAT at
 the intersection with Beadon Creek Rd. Beadon Creek Rd services the wharf in the
-river which becomes increasingly inundated as the initial condition
-changes from 0m AHD to 1.5m AHD. Only the
-entry to the wharf on Beadon Creek Rd is sufficiently inundated to 
-stop traffic at -1.5m AHD. 
-At 1.5m AHD however, essentially the entire road would be impassable.
+creek which becomes increasingly inundated as the tide height
+increases. The only road sufficiently inundated at LAT is Beadon
+Creek Rd near the entry to the wharf. This road during the HAT 
+scenario would be impassable as the water depths are consistently
+over 1 m with a maximum water depth of around 2 m found close to 
+the wharf. 
 
 There is significant inundation of at
-least 2m on the foreshore of Onslow for 0m AHD and 1.5m AHD.
-The inundation extent increases as the initial condition increases above 0m AHD, 
-reaching the southern boundaries of 
-the road infrastructure in the Onslow town centre.
+least 2 m on the foreshore of Onslow for MSL and HAT.
+The inundation extends further as the tidal heights increase.  
+At HAT, the inundation reaches the southern boundaries of 
+the road infrastructure in the Onslow town centre.  
+The airport remains
+free of inundation for each tidal scenario. Section \ref{sec:damage}
+details the impact estimates to the residential infrastructure.